(function ($) {
  !function () {
    'use strict';
    function t(e, o) {
      function i(t, e) {
        return function () {
          return t.apply(e, arguments)
        }
      }
      var r;
      if (o = o || {
      }, this.trackingClick = !1, this.trackingClickStart = 0, this.targetElement = null, this.touchStartX = 0, this.touchStartY = 0, this.lastTouchIdentifier = 0, this.touchBoundary = o.touchBoundary || 10, this.layer = e, this.tapDelay = o.tapDelay || 200, this.tapTimeout = o.tapTimeout || 700, !t.notNeeded(e)) {
        for (var a = [
          'onMouse',
          'onClick',
          'onTouchStart',
          'onTouchMove',
          'onTouchEnd',
          'onTouchCancel'
        ], c = this, s = 0, u = a.length; u > s; s++) c[a[s]] = i(c[a[s]], c);
        n && (e.addEventListener('mouseover', this.onMouse, !0), e.addEventListener('mousedown', this.onMouse, !0), e.addEventListener('mouseup', this.onMouse, !0)),
        e.addEventListener('click', this.onClick, !0),
        e.addEventListener('touchstart', this.onTouchStart, !1),
        e.addEventListener('touchmove', this.onTouchMove, !1),
        e.addEventListener('touchend', this.onTouchEnd, !1),
        e.addEventListener('touchcancel', this.onTouchCancel, !1),
        Event.prototype.stopImmediatePropagation || (e.removeEventListener = function (t, n, o) {
          var i = Node.prototype.removeEventListener;
          'click' === t ? i.call(e, t, n.hijacked || n, o)  : i.call(e, t, n, o)
        }, e.addEventListener = function (t, n, o) {
          var i = Node.prototype.addEventListener;
          'click' === t ? i.call(e, t, n.hijacked || (n.hijacked = function (t) {
            t.propagationStopped || n(t)
          }), o)  : i.call(e, t, n, o)
        }),
        'function' == typeof e.onclick && (r = e.onclick, e.addEventListener('click', function (t) {
          r(t)
        }, !1), e.onclick = null)
      }
    }
    var e = navigator.userAgent.indexOf('Windows Phone') >= 0,
    n = navigator.userAgent.indexOf('Android') > 0 && !e,
    o = /iP(ad|hone|od)/.test(navigator.userAgent) && !e,
    i = o && /OS 4_\d(_\d)?/.test(navigator.userAgent),
    r = o && /OS [6-7]_\d/.test(navigator.userAgent),
    a = navigator.userAgent.indexOf('BB10') > 0;
    t.prototype.needsClick = function (t) {
      switch (t.nodeName.toLowerCase()) {
        case 'button':
        case 'select':
        case 'textarea':
          if (t.disabled) return !0;
          break;
        case 'input':
          if (o && 'file' === t.type || t.disabled) return !0;
          break;
        case 'label':
        case 'iframe':
        case 'video':
          return !0
      }
      return /\bneedsclick\b/.test(t.className)
    },
    t.prototype.needsFocus = function (t) {
      switch (t.nodeName.toLowerCase()) {
        case 'textarea':
          return !0;
        case 'select':
          return !n;
        case 'input':
          switch (t.type) {
            case 'button':
            case 'checkbox':
            case 'file':
            case 'image':
            case 'radio':
            case 'submit':
              return !1
          }
          return !t.disabled && !t.readOnly;
        default:
          return /\bneedsfocus\b/.test(t.className)
        }
    },
    t.prototype.sendClick = function (t, e) {
      var n,
      o;
      document.activeElement && document.activeElement !== t && document.activeElement.blur(),
      o = e.changedTouches[0],
      n = document.createEvent('MouseEvents'),
      n.initMouseEvent(this.determineEventType(t), !0, !0, window, 1, o.screenX, o.screenY, o.clientX, o.clientY, !1, !1, !1, !1, 0, null),
      n.forwardedTouchEvent = !0,
      t.dispatchEvent(n)
  },
  t.prototype.determineEventType = function (t) {
    return n && 'select' === t.tagName.toLowerCase() ? 'mousedown' : 'click'
},
t.prototype.focus = function (t) {
  var e;
  o && t.setSelectionRange && 0 !== t.type.indexOf('date') && 'time' !== t.type && 'month' !== t.type ? (e = t.value.length, t.setSelectionRange(e, e))  : t.focus()
},
t.prototype.updateScrollParent = function (t) {
var e,
n;
if (e = t.fastClickScrollParent, !e || !e.contains(t)) {
  n = t;
  do {
    if (n.scrollHeight > n.offsetHeight) {
      e = n,
      t.fastClickScrollParent = n;
      break
    }
    n = n.parentElement
  } while (n)
}
e && (e.fastClickLastScrollTop = e.scrollTop)
},
t.prototype.getTargetElementFromEventTarget = function (t) {
return t.nodeType === Node.TEXT_NODE ? t.parentNode : t
},
t.prototype.onTouchStart = function (t) {
var e,
n,
r;
if (t.targetTouches.length > 1) return !0;
if (e = this.getTargetElementFromEventTarget(t.target), n = t.targetTouches[0], o) {
if (r = window.getSelection(), r.rangeCount && !r.isCollapsed) return !0;
if (!i) {
if (n.identifier && n.identifier === this.lastTouchIdentifier) return t.preventDefault(),
!1;
this.lastTouchIdentifier = n.identifier,
this.updateScrollParent(e)
}
}
return this.trackingClick = !0,
this.trackingClickStart = t.timeStamp,
this.targetElement = e,
this.touchStartX = n.pageX,
this.touchStartY = n.pageY,
t.timeStamp - this.lastClickTime < this.tapDelay && t.preventDefault(),
!0
},
t.prototype.touchHasMoved = function (t) {
var e = t.changedTouches[0],
n = this.touchBoundary;
return Math.abs(e.pageX - this.touchStartX) > n || Math.abs(e.pageY - this.touchStartY) > n ? !0 : !1
},
t.prototype.onTouchMove = function (t) {
return this.trackingClick ? ((this.targetElement !== this.getTargetElementFromEventTarget(t.target) || this.touchHasMoved(t)) && (this.trackingClick = !1, this.targetElement = null), !0)  : !0
},
t.prototype.findControl = function (t) {
return void 0 !== t.control ? t.control : t.htmlFor ? document.getElementById(t.htmlFor)  : t.querySelector('button, input:not([type=hidden]), keygen, meter, output, progress, select, textarea')
},
t.prototype.onTouchEnd = function (t) {
var e,
a,
c,
s,
u,
l = this.targetElement;
if (!this.trackingClick) return !0;
if (t.timeStamp - this.lastClickTime < this.tapDelay) return this.cancelNextClick = !0,
!0;
if (t.timeStamp - this.trackingClickStart > this.tapTimeout) return !0;
if (this.cancelNextClick = !1, this.lastClickTime = t.timeStamp, a = this.trackingClickStart, this.trackingClick = !1, this.trackingClickStart = 0, r && (u = t.changedTouches[0], l = document.elementFromPoint(u.pageX - window.pageXOffset, u.pageY - window.pageYOffset) || l, l.fastClickScrollParent = this.targetElement.fastClickScrollParent), c = l.tagName.toLowerCase(), 'label' === c) {
if (e = this.findControl(l)) {
if (this.focus(l), n) return !1;
l = e
}
} else if (this.needsFocus(l)) return t.timeStamp - a > 100 || o && window.top !== window && 'input' === c ? (this.targetElement = null, !1)  : (this.focus(l), this.sendClick(l, t), o && 'select' === c || (this.targetElement = null, t.preventDefault()), !1);
return o && !i && (s = l.fastClickScrollParent, s && s.fastClickLastScrollTop !== s.scrollTop) ? !0 : (this.needsClick(l) || (t.preventDefault(), this.sendClick(l, t)), !1)
},
t.prototype.onTouchCancel = function () {
this.trackingClick = !1,
this.targetElement = null
},
t.prototype.onMouse = function (t) {
return this.targetElement ? t.forwardedTouchEvent ? !0 : t.cancelable && (!this.needsClick(this.targetElement) || this.cancelNextClick) ? (t.stopImmediatePropagation ? t.stopImmediatePropagation()  : t.propagationStopped = !0, t.stopPropagation(), t.preventDefault(), !1)  : !0 : !0
},
t.prototype.onClick = function (t) {
var e;
return this.trackingClick ? (this.targetElement = null, this.trackingClick = !1, !0)  : 'submit' === t.target.type && 0 === t.detail ? !0 : (e = this.onMouse(t), e || (this.targetElement = null), e)
},
t.prototype.destroy = function () {
var t = this.layer;
n && (t.removeEventListener('mouseover', this.onMouse, !0), t.removeEventListener('mousedown', this.onMouse, !0), t.removeEventListener('mouseup', this.onMouse, !0)),
t.removeEventListener('click', this.onClick, !0),
t.removeEventListener('touchstart', this.onTouchStart, !1),
t.removeEventListener('touchmove', this.onTouchMove, !1),
t.removeEventListener('touchend', this.onTouchEnd, !1),
t.removeEventListener('touchcancel', this.onTouchCancel, !1)
},
t.notNeeded = function (t) {
var e,
o,
i,
r;
if ('undefined' == typeof window.ontouchstart) return !0;
if (o = + (/Chrome\/([0-9]+)/.exec(navigator.userAgent) || [
,
0
]) [1]) {
if (!n) return !0;
if (e = document.querySelector('meta[name=viewport]')) {
if ( - 1 !== e.content.indexOf('user-scalable=no')) return !0;
if (o > 31 && document.documentElement.scrollWidth <= window.outerWidth) return !0
}
}
if (a && (i = navigator.userAgent.match(/Version\/([0-9]*)\.([0-9]*)/), i[1] >= 10 && i[2] >= 3 && (e = document.querySelector('meta[name=viewport]')))) {
if ( - 1 !== e.content.indexOf('user-scalable=no')) return !0;
if (document.documentElement.scrollWidth <= window.outerWidth) return !0
}
return 'none' === t.style.msTouchAction || 'manipulation' === t.style.touchAction ? !0 : (r = + (/Firefox\/([0-9]+)/.exec(navigator.userAgent) || [
,
0
]) [1], r >= 27 && (e = document.querySelector('meta[name=viewport]'), e && ( - 1 !== e.content.indexOf('user-scalable=no') || document.documentElement.scrollWidth <= window.outerWidth)) ? !0 : 'none' === t.style.touchAction || 'manipulation' === t.style.touchAction ? !0 : !1)
},
t.attach = function (e, n) {
return new t(e, n)
},
'function' == typeof define && 'object' == typeof define.amd && define.amd ? define(function () {
return t
})  : 'undefined' != typeof module && module.exports ? (module.exports = t.attach, module.exports.FastClick = t)  : window.FastClick = t
}();
}(jQuery));
(function ($) {
!function (a, b, c, d) {
function e(b, c) {
this.settings = null,
this.options = a.extend({
}, e.Defaults, c),
this.$element = a(b),
this._handlers = {
},
this._plugins = {
},
this._supress = {
},
this._current = null,
this._speed = null,
this._coordinates = [
],
this._breakpoint = null,
this._width = null,
this._items = [
],
this._clones = [
],
this._mergers = [
],
this._widths = [
],
this._invalidated = {
},
this._pipe = [
],
this._drag = {
time: null,
target: null,
pointer: null,
stage: {
start: null,
current: null
},
direction: null
},
this._states = {
current: {
},
tags: {
initializing: [
'busy'
],
animating: [
'busy'
],
dragging: [
'interacting'
]
}
},
a.each(['onResize',
'onThrottledResize'], a.proxy(function (b, c) {
this._handlers[c] = a.proxy(this[c], this)
}, this)),
a.each(e.Plugins, a.proxy(function (a, b) {
this._plugins[a.charAt(0).toLowerCase() + a.slice(1)] = new b(this)
}, this)),
a.each(e.Workers, a.proxy(function (b, c) {
this._pipe.push({
filter: c.filter,
run: a.proxy(c.run, this)
})
}, this)),
this.setup(),
this.initialize()
}
e.Defaults = {
items: 3,
loop: !1,
center: !1,
rewind: !1,
mouseDrag: !0,
touchDrag: !0,
pullDrag: !0,
freeDrag: !1,
margin: 0,
stagePadding: 0,
merge: !1,
mergeFit: !0,
autoWidth: !1,
startPosition: 0,
rtl: !1,
smartSpeed: 250,
fluidSpeed: !1,
dragEndSpeed: !1,
responsive: {
},
responsiveRefreshRate: 200,
responsiveBaseElement: b,
fallbackEasing: 'swing',
info: !1,
nestedItemSelector: !1,
itemElement: 'div',
stageElement: 'div',
refreshClass: 'owl-refresh',
loadedClass: 'owl-loaded',
loadingClass: 'owl-loading',
rtlClass: 'owl-rtl',
responsiveClass: 'owl-responsive',
dragClass: 'owl-drag',
itemClass: 'owl-item',
stageClass: 'owl-stage',
stageOuterClass: 'owl-stage-outer',
grabClass: 'owl-grab'
},
e.Width = {
Default: 'default',
Inner: 'inner',
Outer: 'outer'
},
e.Type = {
Event: 'event',
State: 'state'
},
e.Plugins = {
},
e.Workers = [
{
filter: [
'width',
'settings'
],
run: function () {
this._width = this.$element.width()
}
},
{
filter: [
'width',
'items',
'settings'
],
run: function (a) {
a.current = this._items && this._items[this.relative(this._current)]
}
},
{
filter: [
'items',
'settings'
],
run: function () {
this.$stage.children('.cloned').remove()
}
},
{
filter: [
'width',
'items',
'settings'
],
run: function (a) {
var b = this.settings.margin || '',
c = !this.settings.autoWidth,
d = this.settings.rtl,
e = {
width: 'auto',
'margin-left': d ? b : '',
'margin-right': d ? '' : b
};
!c && this.$stage.children().css(e),
a.css = e
}
},
{
filter: [
'width',
'items',
'settings'
],
run: function (a) {
var b = (this.width() / this.settings.items).toFixed(3) - this.settings.margin,
c = null,
d = this._items.length,
e = !this.settings.autoWidth,
f = [
];
for (a.items = {
merge: !1,
width: b
}; d--; ) c = this._mergers[d],
c = this.settings.mergeFit && Math.min(c, this.settings.items) || c,
a.items.merge = c > 1 || a.items.merge,
f[d] = e ? b * c : this._items[d].width();
this._widths = f
}
},
{
filter: [
'items',
'settings'
],
run: function () {
var b = [
],
c = this._items,
d = this.settings,
e = Math.max(2 * d.items, 4),
f = 2 * Math.ceil(c.length / 2),
g = d.loop && c.length ? d.rewind ? e : Math.max(e, f)  : 0,
h = '',
i = '';
for (g /= 2; g--; ) b.push(this.normalize(b.length / 2, !0)),
h += c[b[b.length - 1]][0].outerHTML,
b.push(this.normalize(c.length - 1 - (b.length - 1) / 2, !0)),
i = c[b[b.length - 1]][0].outerHTML + i;
this._clones = b,
a(h).addClass('cloned').appendTo(this.$stage),
a(i).addClass('cloned').prependTo(this.$stage)
}
},
{
filter: [
'width',
'items',
'settings'
],
run: function () {
for (var a = this.settings.rtl ? 1 : - 1, b = this._clones.length + this._items.length, c = - 1, d = 0, e = 0, f = [
]; ++c < b; ) d = f[c - 1] || 0,
e = this._widths[this.relative(c)] + this.settings.margin,
f.push(d + e * a);
this._coordinates = f
}
},
{
filter: [
'width',
'items',
'settings'
],
run: function () {
var a = this.settings.stagePadding,
b = this._coordinates,
c = {
width: Math.ceil(Math.abs(b[b.length - 1])) + 2 * a,
'padding-left': a || '',
'padding-right': a || ''
};
this.$stage.css(c)
}
},
{
filter: [
'width',
'items',
'settings'
],
run: function (a) {
var b = this._coordinates.length,
c = !this.settings.autoWidth,
d = this.$stage.children();
if (c && a.items.merge) for (; b--; ) a.css.width = this._widths[this.relative(b)],
d.eq(b).css(a.css);
 else c && (a.css.width = a.items.width, d.css(a.css))
}
},
{
filter: [
'items'
],
run: function () {
this._coordinates.length < 1 && this.$stage.removeAttr('style')
}
},
{
filter: [
'width',
'items',
'settings'
],
run: function (a) {
a.current = a.current ? this.$stage.children().index(a.current)  : 0,
a.current = Math.max(this.minimum(), Math.min(this.maximum(), a.current)),
this.reset(a.current)
}
},
{
filter: [
'position'
],
run: function () {
this.animate(this.coordinates(this._current))
}
},
{
filter: [
'width',
'position',
'items',
'settings'
],
run: function () {
var a,
b,
c,
d,
e = this.settings.rtl ? 1 : - 1,
f = 2 * this.settings.stagePadding,
g = this.coordinates(this.current()) + f,
h = g + this.width() * e,
i = [
];
for (c = 0, d = this._coordinates.length; c < d; c++) a = this._coordinates[c - 1] || 0,
b = Math.abs(this._coordinates[c]) + f * e,
(this.op(a, '<=', g) && this.op(a, '>', h) || this.op(b, '<', g) && this.op(b, '>', h)) && i.push(c);
this.$stage.children('.active').removeClass('active'),
this.$stage.children(':eq(' + i.join('), :eq(') + ')').addClass('active'),
this.settings.center && (this.$stage.children('.center').removeClass('center'), this.$stage.children().eq(this.current()).addClass('center'))
}
}
],
e.prototype.initialize = function () {
if (this.enter('initializing'), this.trigger('initialize'), this.$element.toggleClass(this.settings.rtlClass, this.settings.rtl), this.settings.autoWidth && !this.is('pre-loading')) {
var b,
c,
e;
b = this.$element.find('img'),
c = this.settings.nestedItemSelector ? '.' + this.settings.nestedItemSelector : d,
e = this.$element.children(c).width(),
b.length && e <= 0 && this.preloadAutoWidthImages(b)
}
this.$element.addClass(this.options.loadingClass),
this.$stage = a('<' + this.settings.stageElement + ' class="' + this.settings.stageClass + '"/>').wrap('<div class="' + this.settings.stageOuterClass + '"/>'),
this.$element.append(this.$stage.parent()),
this.replace(this.$element.children().not(this.$stage.parent())),
this.$element.is(':visible') ? this.refresh()  : this.invalidate('width'),
this.$element.removeClass(this.options.loadingClass).addClass(this.options.loadedClass),
this.registerEventHandlers(),
this.leave('initializing'),
this.trigger('initialized')
},
e.prototype.setup = function () {
var b = this.viewport(),
c = this.options.responsive,
d = - 1,
e = null;
c ? (a.each(c, function (a) {
a <= b && a > d && (d = Number(a))
}), e = a.extend({
}, this.options, c[d]), 'function' == typeof e.stagePadding && (e.stagePadding = e.stagePadding()), delete e.responsive, e.responsiveClass && this.$element.attr('class', this.$element.attr('class').replace(new RegExp('(' + this.options.responsiveClass + '-)\\S+\\s', 'g'), '$1' + d)))  : e = a.extend({
}, this.options),
this.trigger('change', {
property: {
name: 'settings',
value: e
}
}),
this._breakpoint = d,
this.settings = e,
this.invalidate('settings'),
this.trigger('changed', {
property: {
name: 'settings',
value: this.settings
}
})
},
e.prototype.optionsLogic = function () {
this.settings.autoWidth && (this.settings.stagePadding = !1, this.settings.merge = !1)
},
e.prototype.prepare = function (b) {
var c = this.trigger('prepare', {
content: b
});
return c.data || (c.data = a('<' + this.settings.itemElement + '/>').addClass(this.options.itemClass).append(b)),
this.trigger('prepared', {
content: c.data
}),
c.data
},
e.prototype.update = function () {
for (var b = 0, c = this._pipe.length, d = a.proxy(function (a) {
return this[a]
}, this._invalidated), e = {
}; b < c; ) (this._invalidated.all || a.grep(this._pipe[b].filter, d).length > 0) && this._pipe[b].run(e),
b++;
this._invalidated = {
},
!this.is('valid') && this.enter('valid')
},
e.prototype.width = function (a) {
switch (a = a || e.Width.Default) {
case e.Width.Inner:
case e.Width.Outer:
return this._width;
default:
return this._width - 2 * this.settings.stagePadding + this.settings.margin
}
},
e.prototype.refresh = function () {
this.enter('refreshing'),
this.trigger('refresh'),
this.setup(),
this.optionsLogic(),
this.$element.addClass(this.options.refreshClass),
this.update(),
this.$element.removeClass(this.options.refreshClass),
this.leave('refreshing'),
this.trigger('refreshed')
},
e.prototype.onThrottledResize = function () {
b.clearTimeout(this.resizeTimer),
this.resizeTimer = b.setTimeout(this._handlers.onResize, this.settings.responsiveRefreshRate)
},
e.prototype.onResize = function () {
return !!this._items.length && (this._width !== this.$element.width() && (!!this.$element.is(':visible') && (this.enter('resizing'), this.trigger('resize').isDefaultPrevented() ? (this.leave('resizing'), !1)  : (this.invalidate('width'), this.refresh(), this.leave('resizing'), void this.trigger('resized')))))
},
e.prototype.registerEventHandlers = function () {
a.support.transition && this.$stage.on(a.support.transition.end + '.owl.core', a.proxy(this.onTransitionEnd, this)),
this.settings.responsive !== !1 && this.on(b, 'resize', this._handlers.onThrottledResize),
this.settings.mouseDrag && (this.$element.addClass(this.options.dragClass), this.$stage.on('mousedown.owl.core', a.proxy(this.onDragStart, this)), this.$stage.on('dragstart.owl.core selectstart.owl.core', function () {
return !1
})),
this.settings.touchDrag && (this.$stage.on('touchstart.owl.core', a.proxy(this.onDragStart, this)), this.$stage.on('touchcancel.owl.core', a.proxy(this.onDragEnd, this)))
},
e.prototype.onDragStart = function (b) {
var d = null;
3 !== b.which && (a.support.transform ? (d = this.$stage.css('transform').replace(/.*\(|\)| /g, '').split(','), d = {
x: d[16 === d.length ? 12 : 4],
y: d[16 === d.length ? 13 : 5]
})  : (d = this.$stage.position(), d = {
x: this.settings.rtl ? d.left + this.$stage.width() - this.width() + this.settings.margin : d.left,
y: d.top
}), this.is('animating') && (a.support.transform ? this.animate(d.x)  : this.$stage.stop(), this.invalidate('position')), this.$element.toggleClass(this.options.grabClass, 'mousedown' === b.type), this.speed(0), this._drag.time = (new Date).getTime(), this._drag.target = a(b.target), this._drag.stage.start = d, this._drag.stage.current = d, this._drag.pointer = this.pointer(b), a(c).on('mouseup.owl.core touchend.owl.core', a.proxy(this.onDragEnd, this)), a(c).one('mousemove.owl.core touchmove.owl.core', a.proxy(function (b) {
var d = this.difference(this._drag.pointer, this.pointer(b));
a(c).on('mousemove.owl.core touchmove.owl.core', a.proxy(this.onDragMove, this)),
Math.abs(d.x) < Math.abs(d.y) && this.is('valid') || (b.preventDefault(), this.enter('dragging'), this.trigger('drag'))
}, this)))
},
e.prototype.onDragMove = function (a) {
var b = null,
c = null,
d = null,
e = this.difference(this._drag.pointer, this.pointer(a)),
f = this.difference(this._drag.stage.start, e);
this.is('dragging') && (a.preventDefault(), this.settings.loop ? (b = this.coordinates(this.minimum()), c = this.coordinates(this.maximum() + 1) - b, f.x = ((f.x - b) % c + c) % c + b)  : (b = this.settings.rtl ? this.coordinates(this.maximum())  : this.coordinates(this.minimum()), c = this.settings.rtl ? this.coordinates(this.minimum())  : this.coordinates(this.maximum()), d = this.settings.pullDrag ? - 1 * e.x / 5 : 0, f.x = Math.max(Math.min(f.x, b + d), c + d)), this._drag.stage.current = f, this.animate(f.x))
},
e.prototype.onDragEnd = function (b) {
var d = this.difference(this._drag.pointer, this.pointer(b)),
e = this._drag.stage.current,
f = d.x > 0 ^ this.settings.rtl ? 'left' : 'right';
a(c).off('.owl.core'),
this.$element.removeClass(this.options.grabClass),
(0 !== d.x && this.is('dragging') || !this.is('valid')) && (this.speed(this.settings.dragEndSpeed || this.settings.smartSpeed), this.current(this.closest(e.x, 0 !== d.x ? f : this._drag.direction)), this.invalidate('position'), this.update(), this._drag.direction = f, (Math.abs(d.x) > 3 || (new Date).getTime() - this._drag.time > 300) && this._drag.target.one('click.owl.core', function () {
return !1
})),
this.is('dragging') && (this.leave('dragging'), this.trigger('dragged'))
},
e.prototype.closest = function (b, c) {
var d = - 1,
e = 30,
f = this.width(),
g = this.coordinates();
return this.settings.freeDrag || a.each(g, a.proxy(function (a, h) {
return 'left' === c && b > h - e && b < h + e ? d = a : 'right' === c && b > h - f - e && b < h - f + e ? d = a + 1 : this.op(b, '<', h) && this.op(b, '>', g[a + 1] || h - f) && (d = 'left' === c ? a + 1 : a),
d === - 1
}, this)),
this.settings.loop || (this.op(b, '>', g[this.minimum()]) ? d = b = this.minimum()  : this.op(b, '<', g[this.maximum()]) && (d = b = this.maximum())),
d
},
e.prototype.animate = function (b) {
var c = this.speed() > 0;
this.is('animating') && this.onTransitionEnd(),
c && (this.enter('animating'), this.trigger('translate')),
a.support.transform3d && a.support.transition ? this.$stage.css({
transform: 'translate3d(' + b + 'px,0px,0px)',
transition: this.speed() / 1000 + 's'
})  : c ? this.$stage.animate({
left: b + 'px'
}, this.speed(), this.settings.fallbackEasing, a.proxy(this.onTransitionEnd, this))  : this.$stage.css({
left: b + 'px'
})
},
e.prototype.is = function (a) {
return this._states.current[a] && this._states.current[a] > 0
},
e.prototype.current = function (a) {
if (a === d) return this._current;
if (0 === this._items.length) return d;
if (a = this.normalize(a), this._current !== a) {
var b = this.trigger('change', {
property: {
name: 'position',
value: a
}
});
b.data !== d && (a = this.normalize(b.data)),
this._current = a,
this.invalidate('position'),
this.trigger('changed', {
property: {
name: 'position',
value: this._current
}
})
}
return this._current
},
e.prototype.invalidate = function (b) {
return 'string' === a.type(b) && (this._invalidated[b] = !0, this.is('valid') && this.leave('valid')),
a.map(this._invalidated, function (a, b) {
return b
})
},
e.prototype.reset = function (a) {
a = this.normalize(a),
a !== d && (this._speed = 0, this._current = a, this.suppress(['translate',
'translated']), this.animate(this.coordinates(a)), this.release(['translate',
'translated']))
},
e.prototype.normalize = function (a, b) {
var c = this._items.length,
e = b ? 0 : this._clones.length;
return !this.isNumeric(a) || c < 1 ? a = d : (a < 0 || a >= c + e) && (a = ((a - e / 2) % c + c) % c + e / 2),
a
},
e.prototype.relative = function (a) {
return a -= this._clones.length / 2,
this.normalize(a, !0)
},
e.prototype.maximum = function (a) {
var b,
c,
d,
e = this.settings,
f = this._coordinates.length;
if (e.loop) f = this._clones.length / 2 + this._items.length - 1;
 else if (e.autoWidth || e.merge) {
for (b = this._items.length, c = this._items[--b].width(), d = this.$element.width(); b-- && (c += this._items[b].width() + this.settings.margin, !(c > d)); );
f = b + 1
} else f = e.center ? this._items.length - 1 : this._items.length - e.items;
return a && (f -= this._clones.length / 2),
Math.max(f, 0)
},
e.prototype.minimum = function (a) {
return a ? 0 : this._clones.length / 2
},
e.prototype.items = function (a) {
return a === d ? this._items.slice()  : (a = this.normalize(a, !0), this._items[a])
},
e.prototype.mergers = function (a) {
return a === d ? this._mergers.slice()  : (a = this.normalize(a, !0), this._mergers[a])
},
e.prototype.clones = function (b) {
var c = this._clones.length / 2,
e = c + this._items.length,
f = function (a) {
return a % 2 === 0 ? e + a / 2 : c - (a + 1) / 2
};
return b === d ? a.map(this._clones, function (a, b) {
return f(b)
})  : a.map(this._clones, function (a, c) {
return a === b ? f(c)  : null
})
},
e.prototype.speed = function (a) {
return a !== d && (this._speed = a),
this._speed
},
e.prototype.coordinates = function (b) {
var c,
e = 1,
f = b - 1;
return b === d ? a.map(this._coordinates, a.proxy(function (a, b) {
return this.coordinates(b)
}, this))  : (this.settings.center ? (this.settings.rtl && (e = - 1, f = b + 1), c = this._coordinates[b], c += (this.width() - c + (this._coordinates[f] || 0)) / 2 * e)  : c = this._coordinates[f] || 0, c = Math.ceil(c))
},
e.prototype.duration = function (a, b, c) {
return 0 === c ? 0 : Math.min(Math.max(Math.abs(b - a), 1), 6) * Math.abs(c || this.settings.smartSpeed)
},
e.prototype.to = function (a, b) {
var c = this.current(),
d = null,
e = a - this.relative(c),
f = (e > 0) - (e < 0),
g = this._items.length,
h = this.minimum(),
i = this.maximum();
this.settings.loop ? (!this.settings.rewind && Math.abs(e) > g / 2 && (e += f * - 1 * g), a = c + e, d = ((a - h) % g + g) % g + h, d !== a && d - e <= i && d - e > 0 && (c = d - e, a = d, this.reset(c)))  : this.settings.rewind ? (i += 1, a = (a % i + i) % i)  : a = Math.max(h, Math.min(i, a)),
this.speed(this.duration(c, a, b)),
this.current(a),
this.$element.is(':visible') && this.update()
},
e.prototype.next = function (a) {
a = a || !1,
this.to(this.relative(this.current()) + 1, a)
},
e.prototype.prev = function (a) {
a = a || !1,
this.to(this.relative(this.current()) - 1, a)
},
e.prototype.onTransitionEnd = function (a) {
if (a !== d && (a.stopPropagation(), (a.target || a.srcElement || a.originalTarget) !== this.$stage.get(0))) return !1;
this.leave('animating'),
this.trigger('translated')
},
e.prototype.viewport = function () {
var d;
return this.options.responsiveBaseElement !== b ? d = a(this.options.responsiveBaseElement).width()  : b.innerWidth ? d = b.innerWidth : c.documentElement && c.documentElement.clientWidth ? d = c.documentElement.clientWidth : console.warn('Can not detect viewport width.'),
d
},
e.prototype.replace = function (b) {
this.$stage.empty(),
this._items = [
],
b && (b = b instanceof jQuery ? b : a(b)),
this.settings.nestedItemSelector && (b = b.find('.' + this.settings.nestedItemSelector)),
b.filter(function () {
return 1 === this.nodeType
}).each(a.proxy(function (a, b) {
b = this.prepare(b),
this.$stage.append(b),
this._items.push(b),
this._mergers.push(1 * b.find('[data-merge]').addBack('[data-merge]').attr('data-merge') || 1)
}, this)),
this.reset(this.isNumeric(this.settings.startPosition) ? this.settings.startPosition : 0),
this.invalidate('items')
},
e.prototype.add = function (b, c) {
var e = this.relative(this._current);
c = c === d ? this._items.length : this.normalize(c, !0),
b = b instanceof jQuery ? b : a(b),
this.trigger('add', {
content: b,
position: c
}),
b = this.prepare(b),
0 === this._items.length || c === this._items.length ? (0 === this._items.length && this.$stage.append(b), 0 !== this._items.length && this._items[c - 1].after(b), this._items.push(b), this._mergers.push(1 * b.find('[data-merge]').addBack('[data-merge]').attr('data-merge') || 1))  : (this._items[c].before(b), this._items.splice(c, 0, b), this._mergers.splice(c, 0, 1 * b.find('[data-merge]').addBack('[data-merge]').attr('data-merge') || 1)),
this._items[e] && this.reset(this._items[e].index()),
this.invalidate('items'),
this.trigger('added', {
content: b,
position: c
})
},
e.prototype.remove = function (a) {
a = this.normalize(a, !0),
a !== d && (this.trigger('remove', {
content: this._items[a],
position: a
}), this._items[a].remove(), this._items.splice(a, 1), this._mergers.splice(a, 1), this.invalidate('items'), this.trigger('removed', {
content: null,
position: a
}))
},
e.prototype.preloadAutoWidthImages = function (b) {
b.each(a.proxy(function (b, c) {
this.enter('pre-loading'),
c = a(c),
a(new Image).one('load', a.proxy(function (a) {
c.attr('src', a.target.src),
c.css('opacity', 1),
this.leave('pre-loading'),
!this.is('pre-loading') && !this.is('initializing') && this.refresh()
}, this)).attr('src', c.attr('src') || c.attr('data-src') || c.attr('data-src-retina'))
}, this))
},
e.prototype.destroy = function () {
this.$element.off('.owl.core'),
this.$stage.off('.owl.core'),
a(c).off('.owl.core'),
this.settings.responsive !== !1 && (b.clearTimeout(this.resizeTimer), this.off(b, 'resize', this._handlers.onThrottledResize));
for (var d in this._plugins) this._plugins[d].destroy();
this.$stage.children('.cloned').remove(),
this.$stage.unwrap(),
this.$stage.children().contents().unwrap(),
this.$stage.children().unwrap(),
this.$element.removeClass(this.options.refreshClass).removeClass(this.options.loadingClass).removeClass(this.options.loadedClass).removeClass(this.options.rtlClass).removeClass(this.options.dragClass).removeClass(this.options.grabClass).attr('class', this.$element.attr('class').replace(new RegExp(this.options.responsiveClass + '-\\S+\\s', 'g'), '')).removeData('owl.carousel')
},
e.prototype.op = function (a, b, c) {
var d = this.settings.rtl;
switch (b) {
case '<':
return d ? a > c : a < c;
case '>':
return d ? a < c : a > c;
case '>=':
return d ? a <= c : a >= c;
case '<=':
return d ? a >= c : a <= c
}
},
e.prototype.on = function (a, b, c, d) {
a.addEventListener ? a.addEventListener(b, c, d)  : a.attachEvent && a.attachEvent('on' + b, c)
},
e.prototype.off = function (a, b, c, d) {
a.removeEventListener ? a.removeEventListener(b, c, d)  : a.detachEvent && a.detachEvent('on' + b, c)
},
e.prototype.trigger = function (b, c, d, f, g) {
var h = {
item: {
count: this._items.length,
index: this.current()
}
},
i = a.camelCase(a.grep(['on',
b,
d], function (a) {
return a
}).join('-').toLowerCase()),
j = a.Event([b,
'owl',
d || 'carousel'].join('.').toLowerCase(), a.extend({
relatedTarget: this
}, h, c));
return this._supress[b] || (a.each(this._plugins, function (a, b) {
b.onTrigger && b.onTrigger(j)
}), this.register({
type: e.Type.Event,
name: b
}), this.$element.trigger(j), this.settings && 'function' == typeof this.settings[i] && this.settings[i].call(this, j)),
j
},
e.prototype.enter = function (b) {
a.each([b].concat(this._states.tags[b] || [
]), a.proxy(function (a, b) {
this._states.current[b] === d && (this._states.current[b] = 0),
this._states.current[b]++
}, this))
},
e.prototype.leave = function (b) {
a.each([b].concat(this._states.tags[b] || [
]), a.proxy(function (a, b) {
this._states.current[b]--
}, this))
},
e.prototype.register = function (b) {
if (b.type === e.Type.Event) {
if (a.event.special[b.name] || (a.event.special[b.name] = {
}), !a.event.special[b.name].owl) {
var c = a.event.special[b.name]._default;
a.event.special[b.name]._default = function (a) {
return !c || !c.apply || a.namespace && a.namespace.indexOf('owl') !== - 1 ? a.namespace && a.namespace.indexOf('owl') > - 1 : c.apply(this, arguments)
},
a.event.special[b.name].owl = !0
}
} else b.type === e.Type.State && (this._states.tags[b.name] ? this._states.tags[b.name] = this._states.tags[b.name].concat(b.tags)  : this._states.tags[b.name] = b.tags, this._states.tags[b.name] = a.grep(this._states.tags[b.name], a.proxy(function (c, d) {
return a.inArray(c, this._states.tags[b.name]) === d
}, this)))
},
e.prototype.suppress = function (b) {
a.each(b, a.proxy(function (a, b) {
this._supress[b] = !0
}, this))
},
e.prototype.release = function (b) {
a.each(b, a.proxy(function (a, b) {
delete this._supress[b]
}, this))
},
e.prototype.pointer = function (a) {
var c = {
x: null,
y: null
};
return a = a.originalEvent || a || b.event,
a = a.touches && a.touches.length ? a.touches[0] : a.changedTouches && a.changedTouches.length ? a.changedTouches[0] : a,
a.pageX ? (c.x = a.pageX, c.y = a.pageY)  : (c.x = a.clientX, c.y = a.clientY),
c
},
e.prototype.isNumeric = function (a) {
return !isNaN(parseFloat(a))
},
e.prototype.difference = function (a, b) {
return {
x: a.x - b.x,
y: a.y - b.y
}
},
a.fn.owlCarousel = function (b) {
var c = Array.prototype.slice.call(arguments, 1);
return this.each(function () {
var d = a(this),
f = d.data('owl.carousel');
f || (f = new e(this, 'object' == typeof b && b), d.data('owl.carousel', f), a.each(['next',
'prev',
'to',
'destroy',
'refresh',
'replace',
'add',
'remove'], function (b, c) {
f.register({
type: e.Type.Event,
name: c
}),
f.$element.on(c + '.owl.carousel.core', a.proxy(function (a) {
a.namespace && a.relatedTarget !== this && (this.suppress([c]), f[c].apply(this, [
].slice.call(arguments, 1)), this.release([c]))
}, f))
})),
'string' == typeof b && '_' !== b.charAt(0) && f[b].apply(f, c)
})
},
a.fn.owlCarousel.Constructor = e
}(window.Zepto || window.jQuery, window, document),
function (a, b, c, d) {
var e = function (b) {
this._core = b,
this._interval = null,
this._visible = null,
this._handlers = {
'initialized.owl.carousel': a.proxy(function (a) {
a.namespace && this._core.settings.autoRefresh && this.watch()
}, this)
},
this._core.options = a.extend({
}, e.Defaults, this._core.options),
this._core.$element.on(this._handlers)
};
e.Defaults = {
autoRefresh: !0,
autoRefreshInterval: 500
},
e.prototype.watch = function () {
this._interval || (this._visible = this._core.$element.is(':visible'), this._interval = b.setInterval(a.proxy(this.refresh, this), this._core.settings.autoRefreshInterval))
},
e.prototype.refresh = function () {
this._core.$element.is(':visible') !== this._visible && (this._visible = !this._visible, this._core.$element.toggleClass('owl-hidden', !this._visible), this._visible && this._core.invalidate('width') && this._core.refresh())
},
e.prototype.destroy = function () {
var a,
c;
b.clearInterval(this._interval);
for (a in this._handlers) this._core.$element.off(a, this._handlers[a]);
for (c in Object.getOwnPropertyNames(this)) 'function' != typeof this[c] && (this[c] = null)
},
a.fn.owlCarousel.Constructor.Plugins.AutoRefresh = e
}(window.Zepto || window.jQuery, window, document),
function (a, b, c, d) {
var e = function (b) {
this._core = b,
this._loaded = [
],
this._handlers = {
'initialized.owl.carousel change.owl.carousel resized.owl.carousel': a.proxy(function (b) {
if (b.namespace && this._core.settings && this._core.settings.lazyLoad && (b.property && 'position' == b.property.name || 'initialized' == b.type)) for (var c = this._core.settings, e = c.center && Math.ceil(c.items / 2) || c.items, f = c.center && e * - 1 || 0, g = (b.property && b.property.value !== d ? b.property.value : this._core.current()) + f, h = this._core.clones().length, i = a.proxy(function (a, b) {
this.load(b)
}, this); f++ < e; ) this.load(h / 2 + this._core.relative(g)),
h && a.each(this._core.clones(this._core.relative(g)), i),
g++
}, this)
},
this._core.options = a.extend({
}, e.Defaults, this._core.options),
this._core.$element.on(this._handlers)
};
e.Defaults = {
lazyLoad: !1
},
e.prototype.load = function (c) {
var d = this._core.$stage.children().eq(c),
e = d && d.find('.owl-lazy');
!e || a.inArray(d.get(0), this._loaded) > - 1 || (e.each(a.proxy(function (c, d) {
var e,
f = a(d),
g = b.devicePixelRatio > 1 && f.attr('data-src-retina') || f.attr('data-src');
this._core.trigger('load', {
element: f,
url: g
}, 'lazy'),
f.is('img') ? f.one('load.owl.lazy', a.proxy(function () {
f.css('opacity', 1),
this._core.trigger('loaded', {
element: f,
url: g
}, 'lazy')
}, this)).attr('src', g)  : (e = new Image, e.onload = a.proxy(function () {
f.css({
'background-image': 'url("' + g + '")',
opacity: '1'
}),
this._core.trigger('loaded', {
element: f,
url: g
}, 'lazy')
}, this), e.src = g)
}, this)), this._loaded.push(d.get(0)))
},
e.prototype.destroy = function () {
var a,
b;
for (a in this.handlers) this._core.$element.off(a, this.handlers[a]);
for (b in Object.getOwnPropertyNames(this)) 'function' != typeof this[b] && (this[b] = null)
},
a.fn.owlCarousel.Constructor.Plugins.Lazy = e
}(window.Zepto || window.jQuery, window, document),
function (a, b, c, d) {
var e = function (b) {
this._core = b,
this._handlers = {
'initialized.owl.carousel refreshed.owl.carousel': a.proxy(function (a) {
a.namespace && this._core.settings.autoHeight && this.update()
}, this),
'changed.owl.carousel': a.proxy(function (a) {
a.namespace && this._core.settings.autoHeight && 'position' == a.property.name && this.update()
}, this),
'loaded.owl.lazy': a.proxy(function (a) {
a.namespace && this._core.settings.autoHeight && a.element.closest('.' + this._core.settings.itemClass).index() === this._core.current() && this.update()
}, this)
},
this._core.options = a.extend({
}, e.Defaults, this._core.options),
this._core.$element.on(this._handlers)
};
e.Defaults = {
autoHeight: !1,
autoHeightClass: 'owl-height'
},
e.prototype.update = function () {
var b = this._core._current,
c = b + this._core.settings.items,
d = this._core.$stage.children().toArray().slice(b, c),
e = [
],
f = 0;
a.each(d, function (b, c) {
e.push(a(c).height())
}),
f = Math.max.apply(null, e),
this._core.$stage.parent().height(f).addClass(this._core.settings.autoHeightClass)
},
e.prototype.destroy = function () {
var a,
b;
for (a in this._handlers) this._core.$element.off(a, this._handlers[a]);
for (b in Object.getOwnPropertyNames(this)) 'function' != typeof this[b] && (this[b] = null)
},
a.fn.owlCarousel.Constructor.Plugins.AutoHeight = e
}(window.Zepto || window.jQuery, window, document),
function (a, b, c, d) {
var e = function (b) {
this._core = b,
this._videos = {
},
this._playing = null,
this._handlers = {
'initialized.owl.carousel': a.proxy(function (a) {
a.namespace && this._core.register({
type: 'state',
name: 'playing',
tags: [
'interacting'
]
})
}, this),
'resize.owl.carousel': a.proxy(function (a) {
a.namespace && this._core.settings.video && this.isInFullScreen() && a.preventDefault()
}, this),
'refreshed.owl.carousel': a.proxy(function (a) {
a.namespace && this._core.is('resizing') && this._core.$stage.find('.cloned .owl-video-frame').remove()
}, this),
'changed.owl.carousel': a.proxy(function (a) {
a.namespace && 'position' === a.property.name && this._playing && this.stop()
}, this),
'prepared.owl.carousel': a.proxy(function (b) {
if (b.namespace) {
var c = a(b.content).find('.owl-video');
c.length && (c.css('display', 'none'), this.fetch(c, a(b.content)))
}
}, this)
},
this._core.options = a.extend({
}, e.Defaults, this._core.options),
this._core.$element.on(this._handlers),
this._core.$element.on('click.owl.video', '.owl-video-play-icon', a.proxy(function (a) {
this.play(a)
}, this))
};
e.Defaults = {
video: !1,
videoHeight: !1,
videoWidth: !1
},
e.prototype.fetch = function (a, b) {
var c = function () {
return a.attr('data-vimeo-id') ? 'vimeo' : a.attr('data-vzaar-id') ? 'vzaar' : 'youtube'
}(),
d = a.attr('data-vimeo-id') || a.attr('data-youtube-id') || a.attr('data-vzaar-id'),
e = a.attr('data-width') || this._core.settings.videoWidth,
f = a.attr('data-height') || this._core.settings.videoHeight,
g = a.attr('href');
if (!g) throw new Error('Missing video URL.');
if (d = g.match(/(http:|https:|)\/\/(player.|www.|app.)?(vimeo\.com|youtu(be\.com|\.be|be\.googleapis\.com)|vzaar\.com)\/(video\/|videos\/|embed\/|channels\/.+\/|groups\/.+\/|watch\?v=|v\/)?([A-Za-z0-9._%-]*)(\&\S+)?/), d[3].indexOf('youtu') > - 1) c = 'youtube';
 else if (d[3].indexOf('vimeo') > - 1) c = 'vimeo';
 else {
if (!(d[3].indexOf('vzaar') > - 1)) throw new Error('Video URL not supported.');
c = 'vzaar'
}
d = d[6],
this._videos[g] = {
type: c,
id: d,
width: e,
height: f
},
b.attr('data-video', g),
this.thumbnail(a, this._videos[g])
},
e.prototype.thumbnail = function (b, c) {
var d,
e,
f,
g = c.width && c.height ? 'style="width:' + c.width + 'px;height:' + c.height + 'px;"' : '',
h = b.find('img'),
i = 'src',
j = '',
k = this._core.settings,
l = function (a) {
e = '<div class="owl-video-play-icon"></div>',
d = k.lazyLoad ? '<div class="owl-video-tn ' + j + '" ' + i + '="' + a + '"></div>' : '<div class="owl-video-tn" style="opacity:1;background-image:url(' + a + ')"></div>',
b.after(d),
b.after(e)
};
if (b.wrap('<div class="owl-video-wrapper"' + g + '></div>'), this._core.settings.lazyLoad && (i = 'data-src', j = 'owl-lazy'), h.length) return l(h.attr(i)),
h.remove(),
!1;
'youtube' === c.type ? (f = '//img.youtube.com/vi/' + c.id + '/hqdefault.jpg', l(f))  : 'vimeo' === c.type ? a.ajax({
type: 'GET',
url: '//vimeo.com/api/v2/video/' + c.id + '.json',
jsonp: 'callback',
dataType: 'jsonp',
success: function (a) {
f = a[0].thumbnail_large,
l(f)
}
})  : 'vzaar' === c.type && a.ajax({
type: 'GET',
url: '//vzaar.com/api/videos/' + c.id + '.json',
jsonp: 'callback',
dataType: 'jsonp',
success: function (a) {
f = a.framegrab_url,
l(f)
}
})
},
e.prototype.stop = function () {
this._core.trigger('stop', null, 'video'),
this._playing.find('.owl-video-frame').remove(),
this._playing.removeClass('owl-video-playing'),
this._playing = null,
this._core.leave('playing'),
this._core.trigger('stopped', null, 'video')
},
e.prototype.play = function (b) {
var c,
d = a(b.target),
e = d.closest('.' + this._core.settings.itemClass),
f = this._videos[e.attr('data-video')],
g = f.width || '100%',
h = f.height || this._core.$stage.height();
this._playing || (this._core.enter('playing'), this._core.trigger('play', null, 'video'), e = this._core.items(this._core.relative(e.index())), this._core.reset(e.index()), 'youtube' === f.type ? c = '<iframe width="' + g + '" height="' + h + '" src="//www.youtube.com/embed/' + f.id + '?autoplay=1&rel=0&v=' + f.id + '" frameborder="0" allowfullscreen></iframe>' : 'vimeo' === f.type ? c = '<iframe src="//player.vimeo.com/video/' + f.id + '?autoplay=1" width="' + g + '" height="' + h + '" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>' : 'vzaar' === f.type && (c = '<iframe frameborder="0"height="' + h + '"width="' + g + '" allowfullscreen mozallowfullscreen webkitAllowFullScreen src="//view.vzaar.com/' + f.id + '/player?autoplay=true"></iframe>'), a('<div class="owl-video-frame">' + c + '</div>').insertAfter(e.find('.owl-video')), this._playing = e.addClass('owl-video-playing'))
},
e.prototype.isInFullScreen = function () {
var b = c.fullscreenElement || c.mozFullScreenElement || c.webkitFullscreenElement;
return b && a(b).parent().hasClass('owl-video-frame')
},
e.prototype.destroy = function () {
var a,
b;
this._core.$element.off('click.owl.video');
for (a in this._handlers) this._core.$element.off(a, this._handlers[a]);
for (b in Object.getOwnPropertyNames(this)) 'function' != typeof this[b] && (this[b] = null)
},
a.fn.owlCarousel.Constructor.Plugins.Video = e
}(window.Zepto || window.jQuery, window, document),
function (a, b, c, d) {
var e = function (b) {
this.core = b,
this.core.options = a.extend({
}, e.Defaults, this.core.options),
this.swapping = !0,
this.previous = d,
this.next = d,
this.handlers = {
'change.owl.carousel': a.proxy(function (a) {
a.namespace && 'position' == a.property.name && (this.previous = this.core.current(), this.next = a.property.value)
}, this),
'drag.owl.carousel dragged.owl.carousel translated.owl.carousel': a.proxy(function (a) {
a.namespace && (this.swapping = 'translated' == a.type)
}, this),
'translate.owl.carousel': a.proxy(function (a) {
a.namespace && this.swapping && (this.core.options.animateOut || this.core.options.animateIn) && this.swap()
}, this)
},
this.core.$element.on(this.handlers)
};
e.Defaults = {
animateOut: !1,
animateIn: !1
},
e.prototype.swap = function () {
if (1 === this.core.settings.items && a.support.animation && a.support.transition) {
this.core.speed(0);
var b,
c = a.proxy(this.clear, this),
d = this.core.$stage.children().eq(this.previous),
e = this.core.$stage.children().eq(this.next),
f = this.core.settings.animateIn,
g = this.core.settings.animateOut;
this.core.current() !== this.previous && (g && (b = this.core.coordinates(this.previous) - this.core.coordinates(this.next), d.one(a.support.animation.end, c).css({
left: b + 'px'
}).addClass('animated owl-animated-out').addClass(g)), f && e.one(a.support.animation.end, c).addClass('animated owl-animated-in').addClass(f))
}
},
e.prototype.clear = function (b) {
a(b.target).css({
left: ''
}).removeClass('animated owl-animated-out owl-animated-in').removeClass(this.core.settings.animateIn).removeClass(this.core.settings.animateOut),
this.core.onTransitionEnd()
},
e.prototype.destroy = function () {
var a,
b;
for (a in this.handlers) this.core.$element.off(a, this.handlers[a]);
for (b in Object.getOwnPropertyNames(this)) 'function' != typeof this[b] && (this[b] = null)
},
a.fn.owlCarousel.Constructor.Plugins.Animate = e
}(window.Zepto || window.jQuery, window, document),
function (a, b, c, d) {
var e = function (b) {
this._core = b,
this._timeout = null,
this._paused = !1,
this._handlers = {
'changed.owl.carousel': a.proxy(function (a) {
a.namespace && 'settings' === a.property.name ? this._core.settings.autoplay ? this.play()  : this.stop()  : a.namespace && 'position' === a.property.name && this._core.settings.autoplay && this._setAutoPlayInterval()
}, this),
'initialized.owl.carousel': a.proxy(function (a) {
a.namespace && this._core.settings.autoplay && this.play()
}, this),
'play.owl.autoplay': a.proxy(function (a, b, c) {
a.namespace && this.play(b, c)
}, this),
'stop.owl.autoplay': a.proxy(function (a) {
a.namespace && this.stop()
}, this),
'mouseover.owl.autoplay': a.proxy(function () {
this._core.settings.autoplayHoverPause && this._core.is('rotating') && this.pause()
}, this),
'mouseleave.owl.autoplay': a.proxy(function () {
this._core.settings.autoplayHoverPause && this._core.is('rotating') && this.play()
}, this),
'touchstart.owl.core': a.proxy(function () {
this._core.settings.autoplayHoverPause && this._core.is('rotating') && this.pause()
}, this),
'touchend.owl.core': a.proxy(function () {
this._core.settings.autoplayHoverPause && this.play()
}, this)
},
this._core.$element.on(this._handlers),
this._core.options = a.extend({
}, e.Defaults, this._core.options)
};
e.Defaults = {
autoplay: !1,
autoplayTimeout: 5000,
autoplayHoverPause: !1,
autoplaySpeed: !1
},
e.prototype.play = function (a, b) {
this._paused = !1,
this._core.is('rotating') || (this._core.enter('rotating'), this._setAutoPlayInterval())
},
e.prototype._getNextTimeout = function (d, e) {
return this._timeout && b.clearTimeout(this._timeout),
b.setTimeout(a.proxy(function () {
this._paused || this._core.is('busy') || this._core.is('interacting') || c.hidden || this._core.next(e || this._core.settings.autoplaySpeed)
}, this), d || this._core.settings.autoplayTimeout)
},
e.prototype._setAutoPlayInterval = function () {
this._timeout = this._getNextTimeout()
},
e.prototype.stop = function () {
this._core.is('rotating') && (b.clearTimeout(this._timeout), this._core.leave('rotating'))
},
e.prototype.pause = function () {
this._core.is('rotating') && (this._paused = !0)
},
e.prototype.destroy = function () {
var a,
b;
this.stop();
for (a in this._handlers) this._core.$element.off(a, this._handlers[a]);
for (b in Object.getOwnPropertyNames(this)) 'function' != typeof this[b] && (this[b] = null)
},
a.fn.owlCarousel.Constructor.Plugins.autoplay = e
}(window.Zepto || window.jQuery, window, document),
function (a, b, c, d) {
'use strict';
var e = function (b) {
this._core = b,
this._initialized = !1,
this._pages = [
],
this._controls = {
},
this._templates = [
],
this.$element = this._core.$element,
this._overrides = {
next: this._core.next,
prev: this._core.prev,
to: this._core.to
},
this._handlers = {
'prepared.owl.carousel': a.proxy(function (b) {
b.namespace && this._core.settings.dotsData && this._templates.push('<div class="' + this._core.settings.dotClass + '">' + a(b.content).find('[data-dot]').addBack('[data-dot]').attr('data-dot') + '</div>')
}, this),
'added.owl.carousel': a.proxy(function (a) {
a.namespace && this._core.settings.dotsData && this._templates.splice(a.position, 0, this._templates.pop())
}, this),
'remove.owl.carousel': a.proxy(function (a) {
a.namespace && this._core.settings.dotsData && this._templates.splice(a.position, 1)
}, this),
'changed.owl.carousel': a.proxy(function (a) {
a.namespace && 'position' == a.property.name && this.draw()
}, this),
'initialized.owl.carousel': a.proxy(function (a) {
a.namespace && !this._initialized && (this._core.trigger('initialize', null, 'navigation'), this.initialize(), this.update(), this.draw(), this._initialized = !0, this._core.trigger('initialized', null, 'navigation'))
}, this),
'refreshed.owl.carousel': a.proxy(function (a) {
a.namespace && this._initialized && (this._core.trigger('refresh', null, 'navigation'), this.update(), this.draw(), this._core.trigger('refreshed', null, 'navigation'))
}, this)
},
this._core.options = a.extend({
}, e.Defaults, this._core.options),
this.$element.on(this._handlers)
};
e.Defaults = {
nav: !1,
navText: [
'<i class=\'fa fa-angle-left\'></i>',
'<i class=\'fa fa-angle-right\'></i>'
],
navSpeed: !1,
navElement: 'div',
navContainer: !1,
navContainerClass: 'owl-nav',
navClass: [
'owl-prev',
'owl-next'
],
slideBy: 1,
dotClass: 'owl-dot',
dotsClass: 'owl-dots',
dots: !0,
dotsEach: !1,
dotsData: !1,
dotsSpeed: !1,
dotsContainer: !1
},
e.prototype.initialize = function () {
var b,
c = this._core.settings;
this._controls.$relative = (c.navContainer ? a(c.navContainer)  : a('<div>').addClass(c.navContainerClass).appendTo(this.$element)).addClass('disabled'),
this._controls.$previous = a('<' + c.navElement + '>').addClass(c.navClass[0]).html(c.navText[0]).prependTo(this._controls.$relative).on('click', a.proxy(function (a) {
this.prev(c.navSpeed)
}, this)),
this._controls.$next = a('<' + c.navElement + '>').addClass(c.navClass[1]).html(c.navText[1]).appendTo(this._controls.$relative).on('click', a.proxy(function (a) {
this.next(c.navSpeed)
}, this)),
c.dotsData || (this._templates = [
a('<div>').addClass(c.dotClass).append(a('<span>')).prop('outerHTML')
]),
this._controls.$absolute = (c.dotsContainer ? a(c.dotsContainer)  : a('<div>').addClass(c.dotsClass).appendTo(this.$element)).addClass('disabled'),
this._controls.$absolute.on('click', 'div', a.proxy(function (b) {
var d = a(b.target).parent().is(this._controls.$absolute) ? a(b.target).index()  : a(b.target).parent().index();
b.preventDefault(),
this.to(d, c.dotsSpeed)
}, this));
for (b in this._overrides) this._core[b] = a.proxy(this[b], this)
},
e.prototype.destroy = function () {
var a,
b,
c,
d;
for (a in this._handlers) this.$element.off(a, this._handlers[a]);
for (b in this._controls) this._controls[b].remove();
for (d in this.overides) this._core[d] = this._overrides[d];
for (c in Object.getOwnPropertyNames(this)) 'function' != typeof this[c] && (this[c] = null)
},
e.prototype.update = function () {
var a,
b,
c,
d = this._core.clones().length / 2,
e = d + this._core.items().length,
f = this._core.maximum(!0),
g = this._core.settings,
h = g.center || g.autoWidth || g.dotsData ? 1 : g.dotsEach || g.items;
if ('page' !== g.slideBy && (g.slideBy = Math.min(g.slideBy, g.items)), g.dots || 'page' == g.slideBy) for (this._pages = [
], a = d, b = 0, c = 0; a < e; a++) {
if (b >= h || 0 === b) {
if (this._pages.push({
start: Math.min(f, a - d),
end: a - d + h - 1
}), Math.min(f, a - d) === f) break;
b = 0,
++c
}
b += this._core.mergers(this._core.relative(a))
}
},
e.prototype.draw = function () {
var b,
c = this._core.settings,
d = this._core.items().length <= c.items,
e = this._core.relative(this._core.current()),
f = c.loop || c.rewind;
this._controls.$relative.toggleClass('disabled', !c.nav || d),
c.nav && (this._controls.$previous.toggleClass('disabled', !f && e <= this._core.minimum(!0)), this._controls.$next.toggleClass('disabled', !f && e >= this._core.maximum(!0))),
this._controls.$absolute.toggleClass('disabled', !c.dots || d),
c.dots && (b = this._pages.length - this._controls.$absolute.children().length, c.dotsData && 0 !== b ? this._controls.$absolute.html(this._templates.join(''))  : b > 0 ? this._controls.$absolute.append(new Array(b + 1).join(this._templates[0]))  : b < 0 && this._controls.$absolute.children().slice(b).remove(), this._controls.$absolute.find('.active').removeClass('active'), this._controls.$absolute.children().eq(a.inArray(this.current(), this._pages)).addClass('active'))
},
e.prototype.onTrigger = function (b) {
var c = this._core.settings;
b.page = {
index: a.inArray(this.current(), this._pages),
count: this._pages.length,
size: c && (c.center || c.autoWidth || c.dotsData ? 1 : c.dotsEach || c.items)
}
},
e.prototype.current = function () {
var b = this._core.relative(this._core.current());
return a.grep(this._pages, a.proxy(function (a, c) {
return a.start <= b && a.end >= b
}, this)).pop()
},
e.prototype.getPosition = function (b) {
var c,
d,
e = this._core.settings;
return 'page' == e.slideBy ? (c = a.inArray(this.current(), this._pages), d = this._pages.length, b ? ++c : --c, c = this._pages[(c % d + d) % d].start)  : (c = this._core.relative(this._core.current()), d = this._core.items().length, b ? c += e.slideBy : c -= e.slideBy),
c
},
e.prototype.next = function (b) {
a.proxy(this._overrides.to, this._core) (this.getPosition(!0), b)
},
e.prototype.prev = function (b) {
a.proxy(this._overrides.to, this._core) (this.getPosition(!1), b)
},
e.prototype.to = function (b, c, d) {
var e;
!d && this._pages.length ? (e = this._pages.length, a.proxy(this._overrides.to, this._core) (this._pages[(b % e + e) % e].start, c))  : a.proxy(this._overrides.to, this._core) (b, c)
},
a.fn.owlCarousel.Constructor.Plugins.Navigation = e
}(window.Zepto || window.jQuery, window, document),
function (a, b, c, d) {
'use strict';
var e = function (c) {
this._core = c,
this._hashes = {
},
this.$element = this._core.$element,
this._handlers = {
'initialized.owl.carousel': a.proxy(function (c) {
c.namespace && 'URLHash' === this._core.settings.startPosition && a(b).trigger('hashchange.owl.navigation')
}, this),
'prepared.owl.carousel': a.proxy(function (b) {
if (b.namespace) {
var c = a(b.content).find('[data-hash]').addBack('[data-hash]').attr('data-hash');
if (!c) return;
this._hashes[c] = b.content
}
}, this),
'changed.owl.carousel': a.proxy(function (c) {
if (c.namespace && 'position' === c.property.name) {
var d = this._core.items(this._core.relative(this._core.current())),
e = a.map(this._hashes, function (a, b) {
return a === d ? b : null
}).join();
if (!e || b.location.hash.slice(1) === e) return;
b.location.hash = e
}
}, this)
},
this._core.options = a.extend({
}, e.Defaults, this._core.options),
this.$element.on(this._handlers),
a(b).on('hashchange.owl.navigation', a.proxy(function (a) {
var c = b.location.hash.substring(1),
e = this._core.$stage.children(),
f = this._hashes[c] && e.index(this._hashes[c]);
f !== d && f !== this._core.current() && this._core.to(this._core.relative(f), !1, !0)
}, this))
};
e.Defaults = {
URLhashListener: !1
},
e.prototype.destroy = function () {
var c,
d;
a(b).off('hashchange.owl.navigation');
for (c in this._handlers) this._core.$element.off(c, this._handlers[c]);
for (d in Object.getOwnPropertyNames(this)) 'function' != typeof this[d] && (this[d] = null)
},
a.fn.owlCarousel.Constructor.Plugins.Hash = e
}(window.Zepto || window.jQuery, window, document),
function (a, b, c, d) {
function e(b, c) {
var e = !1,
f = b.charAt(0).toUpperCase() + b.slice(1);
return a.each((b + ' ' + h.join(f + ' ') + f).split(' '), function (a, b) {
if (g[b] !== d) return e = !c || b,
!1
}),
e
}
function f(a) {
return e(a, !0)
}
var g = a('<support>').get(0).style,
h = 'Webkit Moz O ms'.split(' '),
i = {
transition: {
end: {
WebkitTransition: 'webkitTransitionEnd',
MozTransition: 'transitionend',
OTransition: 'oTransitionEnd',
transition: 'transitionend'
}
},
animation: {
end: {
WebkitAnimation: 'webkitAnimationEnd',
MozAnimation: 'animationend',
OAnimation: 'oAnimationEnd',
animation: 'animationend'
}
}
},
j = {
csstransforms: function () {
return !!e('transform')
},
csstransforms3d: function () {
return !!e('perspective')
},
csstransitions: function () {
return !!e('transition')
},
cssanimations: function () {
return !!e('animation')
}
};
j.csstransitions() && (a.support.transition = new String(f('transition')), a.support.transition.end = i.transition.end[a.support.transition]),
j.cssanimations() && (a.support.animation = new String(f('animation')), a.support.animation.end = i.animation.end[a.support.animation]),
j.csstransforms() && (a.support.transform = new String(f('transform')), a.support.transform3d = j.csstransforms3d())
}(window.Zepto || window.jQuery, window, document);
}(jQuery));
(function ($) {
!function (t, e, o, i) {
var r = function (e) {
this._core = e,
this._loaded = [
],
this._handlers = {
'initialized.owl.carousel change.owl.carousel': t.proxy(function (e) {
if (e.namespace && this._core.settings && !1 !== this._core.settings.lazyLoad && (e.property && 'position' === e.property.name || 'initialized' === e.type)) {
var o = e.property && e.property.value || this._core.current(),
i = this.positions(o),
r = this._core.clones().length,
s = i.length,
n = t.proxy(function (t, e) {
this.load(e)
}, this);
for (console.log(); s--; ) this.load(r / 2 + i[s]),
r && t.each(this._core.clones(i[s]), n)
}
}, this)
},
this._core.options = t.extend({
}, r.Defaults, this._core.options),
this._core.$element.on(this._handlers)
};
r.Defaults = {
lazyLoad: !1,
lazyPrefetch: 'page'
},
r.prototype.positions = function (t) {
for (var e = [
], o = this._core.settings, i = this._core.relative(t), r = o.loop || o.center && i > 0, s = o.center && (i > 0 || o.loop), n = o.items + (s && o.items % 2 == 0 ? 1 : 0), a = 'page' === o.lazyPrefetch ? n : o.lazyPrefetch, l = n, c = s ? - Math.ceil(o.items / 2)  : 0; a--; ) r && e.unshift(this._core.relative(t - a + c - 1)),
e.unshift(this._core.relative(t + n + a + c));
for (; l--; ) e.unshift(this._core.relative(t + l + c));
return e
},
r.prototype.load = function (o) {
var i = this._core.$stage.children().eq(o),
r = i && i.find('.owl-lazy');
!r || t.inArray(i.get(0), this._loaded) > - 1 || (r.each(t.proxy(function (o, i) {
var r = t(i),
s = e.devicePixelRatio > 1 && r.attr('data-src-retina') || r.attr('data-src');
this._core.trigger('load', {
element: r,
url: s
}, 'lazy'),
r.is('img') ? r.one('load.owl.lazy', t.proxy(function () {
r.css('opacity', 1),
this._core.trigger('loaded', {
element: r,
url: s
}, 'lazy'),
this._core.settings.autoWidth && (this._core.invalidate('width'), this._core.update())
}, this)).attr('src', s)  : t(new Image).one('load.owl.lazy', t.proxy(function () {
r.css({
'background-image': 'url(' + s + ')',
opacity: '1'
}),
this._core.trigger('loaded', {
element: r,
url: s
}, 'lazy')
}, this)).attr('src', s)
}, this)), this._loaded.push(i.get(0)))
},
r.prototype.destroy = function () {
var t,
e;
for (t in this.handlers) this._core.$element.off(t, this.handlers[t]);
for (e in Object.getOwnPropertyNames(this)) 'function' != typeof this[e] && (this[e] = null)
},
t.fn.owlCarousel.Constructor.Plugins.Lazy = r
}(window.Zepto || window.jQuery, window, document);
}(jQuery));
(function ($) {
!function (a, b) {
'use strict';
if (!b) throw new Error('Filterizr requires jQuery to work.');
var c = function (a) {
this.init(a)
};
c.prototype = {
init: function (a) {
this.root = {
x: 0,
y: 0,
w: a
}
},
fit: function (a) {
var b,
c,
d,
e = a.length,
f = e > 0 ? a[0].h : 0;
for (this.root.h = f, b = 0; b < e; b++) d = a[b],
(c = this.findNode(this.root, d.w, d.h)) ? d.fit = this.splitNode(c, d.w, d.h)  : d.fit = this.growDown(d.w, d.h)
},
findNode: function (a, b, c) {
return a.used ? this.findNode(a.right, b, c) || this.findNode(a.down, b, c)  : b <= a.w && c <= a.h ? a : null
},
splitNode: function (a, b, c) {
return a.used = !0,
a.down = {
x: a.x,
y: a.y + c,
w: a.w,
h: a.h - c
},
a.right = {
x: a.x + b,
y: a.y,
w: a.w - b,
h: c
},
a
},
growDown: function (a, b) {
var c;
return this.root = {
used: !0,
x: 0,
y: 0,
w: this.root.w,
h: this.root.h + b,
down: {
x: 0,
y: this.root.h,
w: this.root.w,
h: b
},
right: this.root
},
(c = this.findNode(this.root, a, b)) ? this.splitNode(c, a, b)  : null
}
},
b.fn.filterizr = function () {
var a = this,
c = arguments;
if (a._fltr || (a._fltr = b.fn.filterizr.prototype.init(a, 'object' == typeof c[0] ? c[0] : void 0)), 'string' == typeof c[0]) {
if (c[0].lastIndexOf('_') > - 1) throw new Error('Filterizr error: You cannot call private methods');
if ('function' != typeof a._fltr[c[0]]) throw new Error('Filterizr error: There is no such function');
a._fltr[c[0]](c[1], c[2])
}
return a
},
b.fn.filterizr.prototype = {
init: function (a, c) {
var d = b(a).extend(b.fn.filterizr.prototype);
return d.options = {
animationDuration: 0.5,
callbacks: {
onFilteringStart: function () {
},
onFilteringEnd: function () {
},
onShufflingStart: function () {
},
onShufflingEnd: function () {
},
onSortingStart: function () {
},
onSortingEnd: function () {
}
},
delay: 0,
delayMode: 'progressive',
easing: 'ease-out',
filter: 'all',
filterOutCss: {
opacity: 0,
transform: 'scale(0.5)'
},
filterInCss: {
opacity: 1,
transform: 'scale(1)'
},
layout: 'sameSize',
setupControls: !0
},
0 === arguments.length && (c = d.options),
1 === arguments.length && 'object' == typeof arguments[0] && (c = arguments[0]),
c && d.setOptions(c),
d.css({
padding: 0,
position: 'relative'
}),
d._lastCategory = 0,
d._isAnimating = !1,
d._isShuffling = !1,
d._isSorting = !1,
d._mainArray = d._getFiltrItems(),
d._subArrays = d._makeSubarrays(),
d._activeArray = d._getCollectionByFilter(d.options.filter),
d._toggledCategories = {
},
d._typedText = b('input[data-search]').val() || '',
d._uID = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (a) {
var b = 16 * Math.random() | 0;
return ('x' == a ? b : 3 & b | 8).toString(16)
}),
d._setupEvents(),
d.options.setupControls && d._setupControls(),
d.filter(d.options.filter),
d
},
filter: function (a) {
var b = this,
c = b._getCollectionByFilter(a);
b.options.filter = a,
b.trigger('filteringStart'),
b._handleFiltering(c),
b._isSearchActivated() && b.search(b._typedText)
},
toggleFilter: function (a) {
var b = this,
c = [
];
b.trigger('filteringStart'),
a && (b._toggledCategories[a] ? delete b._toggledCategories[a] : b._toggledCategories[a] = !0),
b._multifilterModeOn() ? (c = b._makeMultifilterArray(), b._handleFiltering(c), b._isSearchActivated() && b.search(b._typedText))  : (b.filter('all'), b._isSearchActivated() && b.search(b._typedText))
},
search: function (a) {
var b = this,
c = b._multifilterModeOn() ? b._makeMultifilterArray()  : b._getCollectionByFilter(b.options.filter),
d = [
],
e = 0;
if (b._isSearchActivated()) for (e = 0; e < c.length; e++) {
var f = c[e].text().toLowerCase().indexOf(a.toLowerCase()) > - 1;
f && d.push(c[e])
}
if (d.length > 0) b._handleFiltering(d);
 else if (b._isSearchActivated()) for (e = 0; e < b._activeArray.length; e++) b._activeArray[e]._filterOut();
 else b._handleFiltering(c)
},
shuffle: function () {
var a = this;
a._isAnimating = !0,
a._isShuffling = !0,
a.trigger('shufflingStart'),
a._mainArray = a._fisherYatesShuffle(a._mainArray),
a._subArrays = a._makeSubarrays();
var b = a._multifilterModeOn() ? a._makeMultifilterArray()  : a._getCollectionByFilter(a.options.filter);
a._isSearchActivated() ? a.search(a._typedText)  : a._placeItems(b)
},
sort: function (a, b) {
var c = this;
if (a = a || 'domIndex', b = b || 'asc', c._isAnimating = !0, c._isSorting = !0, c.trigger('sortingStart'), 'domIndex' !== a && 'sortData' !== a && 'w' !== a && 'h' !== a) for (var e = 0; e < c._mainArray.length; e++) c._mainArray[e][a] = c._mainArray[e].data(a);
c._mainArray.sort(c._comparator(a, b)),
c._subArrays = c._makeSubarrays();
var f = c._multifilterModeOn() ? c._makeMultifilterArray()  : c._getCollectionByFilter(c.options.filter);
c._isSearchActivated() ? c.search(c._typedText)  : c._placeItems(f)
},
setOptions: function (a) {
var b = this,
c = 0;
for (var d in a) b.options[d] = a[d];
if (b._mainArray && (a.animationDuration || a.delay || a.easing || a.delayMode)) for (c = 0; c < b._mainArray.length; c++) b._mainArray[c].css('transition', 'all ' + b.options.animationDuration + 's ' + b.options.easing + ' ' + b._mainArray[c]._calcDelay() + 'ms');
a.callbacks && (a.callbacks.onFilteringStart || (b.options.callbacks.onFilteringStart = function () {
}), a.callbacks.onFilteringEnd || (b.options.callbacks.onFilteringEnd = function () {
}), a.callbacks.onShufflingStart || (b.options.callbacks.onShufflingStart = function () {
}), a.callbacks.onShufflingEnd || (b.options.callbacks.onShufflingEnd = function () {
}), a.callbacks.onSortingStart || (b.options.callbacks.onSortingStart = function () {
}), a.callbacks.onSortingEnd || (b.options.callbacks.onSortingEnd = function () {
})),
b.options.filterInCss.transform || (b.options.filterInCss.transform = 'translate3d(0,0,0)'),
b.options.filterOutCss.transform || (b.options.filterOutCss.transform = 'translate3d(0,0,0)')
},
_getFiltrItems: function () {
var a = this,
c = b(a.find('.filtr-item')),
e = [
];
return b.each(c, function (c, f) {
var g = b(f).extend(d)._init(c, a);
e.push(g)
}),
e
},
_makeSubarrays: function () {
for (var a = this, b = [
], c = 0; c < a._lastCategory; c++) b.push([]);
for (c = 0; c < a._mainArray.length; c++) if ('object' == typeof a._mainArray[c]._category) for (var d = a._mainArray[c]._category.length, e = 0; e < d; e++) b[a._mainArray[c]._category[e] - 1].push(a._mainArray[c]);
 else b[a._mainArray[c]._category - 1].push(a._mainArray[c]);
return b
},
_makeMultifilterArray: function () {
for (var a = this, b = [
], c = {
}, d = 0; d < a._mainArray.length; d++) {
var e = a._mainArray[d],
f = !1,
g = e.domIndex in c == !1;
if (Array.isArray(e._category)) {
for (var h = 0; h < e._category.length; h++) if (e._category[h] in a._toggledCategories) {
f = !0;
break
}
} else e._category in a._toggledCategories && (f = !0);
g && f && (c[e.domIndex] = !0, b.push(e))
}
return b
},
_setupControls: function () {
var a = this;
b('*[data-filter]').click(function () {
var c = b(this).data('filter');
a.options.filter !== c && a.filter(c)
}),
b('*[data-multifilter]').click(function () {
var c = b(this).data('multifilter');
'all' === c ? (a._toggledCategories = {
}, a.filter('all'))  : a.toggleFilter(c)
}),
b('*[data-shuffle]').click(function () {
a.shuffle()
}),
b('*[data-sortAsc]').click(function () {
var c = b('*[data-sortOrder]').val();
a.sort(c, 'asc')
}),
b('*[data-sortDesc]').click(function () {
var c = b('*[data-sortOrder]').val();
a.sort(c, 'desc')
}),
b('input[data-search]').keyup(function () {
a._typedText = b(this).val(),
a._delayEvent(function () {
a.search(a._typedText)
}, 250, a._uID)
})
},
_setupEvents: function () {
var c = this;
b(a).resize(function () {
c._delayEvent(function () {
c.trigger('resizeFiltrContainer')
}, 250, c._uID)
}),
c.on('resizeFiltrContainer', function () {
c._multifilterModeOn() ? c.toggleFilter()  : c.filter(c.options.filter)
}).on('filteringStart', function () {
c.options.callbacks.onFilteringStart()
}).on('filteringEnd', function () {
c.options.callbacks.onFilteringEnd()
}).on('shufflingStart', function () {
c._isShuffling = !0,
c.options.callbacks.onShufflingStart()
}).on('shufflingEnd', function () {
c.options.callbacks.onShufflingEnd(),
c._isShuffling = !1
}).on('sortingStart', function () {
c._isSorting = !0,
c.options.callbacks.onSortingStart()
}).on('sortingEnd', function () {
c.options.callbacks.onSortingEnd(),
c._isSorting = !1
})
},
_calcItemPositions: function () {
var a = this,
d = a._activeArray,
e = 0,
f = Math.round(a.width() / a.find('.filtr-item').outerWidth()),
g = 0,
h = d[0].outerWidth(),
i = 0,
j = 0,
k = 0,
l = 0,
m = 0,
n = [
];
if ('packed' === a.options.layout) {
b.each(a._activeArray, function (a, b) {
b._updateDimensions()
});
var o = new c(a.outerWidth());
for (o.fit(a._activeArray), l = 0; l < d.length; l++) n.push({
left: d[l].fit.x,
top: d[l].fit.y
});
e = o.root.h
}
if ('horizontal' === a.options.layout) for (g = 1, l = 1; l <= d.length; l++) h = d[l - 1].outerWidth(),
i = d[l - 1].outerHeight(),
n.push({
left: j,
top: k
}),
j += h,
e < i && (e = i);
 else if ('vertical' === a.options.layout) {
for (l = 1; l <= d.length; l++) i = d[l - 1].outerHeight(),
n.push({
left: j,
top: k
}),
k += i;
e = k
} else if ('sameHeight' === a.options.layout) {
g = 1;
var p = a.outerWidth();
for (l = 1; l <= d.length; l++) {
h = d[l - 1].width();
var q = d[l - 1].outerWidth(),
r = 0;
d[l] && (r = d[l].width()),
n.push({
left: j,
top: k
}),
m = j + h + r,
m > p ? (m = 0, j = 0, k += d[0].outerHeight(), g++)  : j += q
}
e = g * d[0].outerHeight()
} else if ('sameWidth' === a.options.layout) {
for (l = 1; l <= d.length; l++) {
if (n.push({
left: j,
top: k
}), l % f == 0 && g++, j += h, k = 0, g > 0) for (m = g; m > 0; ) k += d[l - f * m].outerHeight(),
m--;
l % f == 0 && (j = 0)
}
for (l = 0; l < f; l++) {
for (var s = 0, t = l; d[t]; ) s += d[t].outerHeight(),
t += f;
s > e ? (e = s, s = 0)  : s = 0
}
} else if ('sameSize' === a.options.layout) {
for (l = 1; l <= d.length; l++) n.push({
left: j,
top: k
}),
j += h,
l % f == 0 && (k += d[0].outerHeight(), j = 0);
g = Math.ceil(d.length / f),
e = g * d[0].outerHeight()
}
return a.css('height', e),
n
},
_handleFiltering: function (a) {
for (var b = this, c = b._getArrayOfUniqueItems(b._activeArray, a), d = 0; d < c.length; d++) c[d]._filterOut();
b._activeArray = a,
b._placeItems(a)
},
_multifilterModeOn: function () {
var a = this;
return Object.keys(a._toggledCategories).length > 0
},
_isSearchActivated: function () {
return this._typedText.length > 0
},
_placeItems: function (a) {
var b = this;
b._isAnimating = !0,
b._itemPositions = b._calcItemPositions();
for (var c = 0; c < a.length; c++) a[c]._filterIn(b._itemPositions[c])
},
_getCollectionByFilter: function (a) {
var b = this;
return 'all' === a ? b._mainArray : b._subArrays[a - 1]
},
_makeDeepCopy: function (a) {
var b = {
};
for (var c in a) b[c] = a[c];
return b
},
_comparator: function (a, b) {
return function (c, d) {
return 'asc' === b ? c[a] < d[a] ? - 1 : c[a] > d[a] ? 1 : 0 : 'desc' === b ? d[a] < c[a] ? - 1 : d[a] > c[a] ? 1 : 0 : void 0
}
},
_getArrayOfUniqueItems: function (a, b) {
var f,
g,
c = [
],
d = {
},
e = b.length;
for (f = 0; f < e; f++) d[b[f].domIndex] = !0;
for (e = a.length, f = 0; f < e; f++) g = a[f],
g.domIndex in d || c.push(g);
return c
},
_delayEvent: function () {
var b = {
};
return function (a, c, d) {
if (null === d) throw Error('UniqueID needed');
b[d] && clearTimeout(b[d]),
b[d] = setTimeout(a, c)
}
}(),
_fisherYatesShuffle: function (b) {
for (var d, e, c = b.length; c; ) e = Math.floor(Math.random() * c--),
d = b[c],
b[c] = b[e],
b[e] = d;
return b
}
};
var d = {
_init: function (a, b) {
var c = this;
return c._parent = b,
c._category = c._getCategory(),
c._lastPos = {
},
c.domIndex = a,
c.sortData = c.data('sort'),
c.w = 0,
c.h = 0,
c._isFilteredOut = !0,
c._filteringOut = !1,
c._filteringIn = !1,
c.css(b.options.filterOutCss).css({
'-webkit-backface-visibility': 'hidden',
perspective: '1000px',
'-webkit-perspective': '1000px',
'-webkit-transform-style': 'preserve-3d',
position: 'absolute',
transition: 'all ' + b.options.animationDuration + 's ' + b.options.easing + ' ' + c._calcDelay() + 'ms'
}),
c.on('transitionend webkitTransitionEnd oTransitionEnd MSTransitionEnd', function () {
c._onTransitionEnd()
}),
c
},
_updateDimensions: function () {
var a = this;
a.w = a.outerWidth(),
a.h = a.outerHeight()
},
_calcDelay: function () {
var a = this,
b = 0;
return 'progressive' === a._parent.options.delayMode ? b = a._parent.options.delay * a.domIndex : a.domIndex % 2 == 0 && (b = a._parent.options.delay),
b
},
_getCategory: function () {
var a = this,
b = a.data('category');
if ('string' == typeof b) {
b = b.split(', ');
for (var c = 0; c < b.length; c++) {
if (isNaN(parseInt(b[c]))) throw new Error('Filterizr: the value of data-category must be a number, starting from value 1 and increasing.');
parseInt(b[c]) > a._parent._lastCategory && (a._parent._lastCategory = parseInt(b[c]))
}
} else b > a._parent._lastCategory && (a._parent._lastCategory = b);
return b
},
_onTransitionEnd: function () {
var a = this;
a._filteringOut ? (b(a).addClass('filteredOut'), a._isFilteredOut = !0, a._filteringOut = !1)  : a._filteringIn && (a._isFilteredOut = !1, a._filteringIn = !1),
a._parent._isAnimating && (a._parent._isShuffling ? a._parent.trigger('shufflingEnd')  : a._parent._isSorting ? a._parent.trigger('sortingEnd')  : a._parent.trigger('filteringEnd'), a._parent._isAnimating = !1)
},
_filterOut: function () {
var a = this,
b = a._parent._makeDeepCopy(a._parent.options.filterOutCss);
b.transform += ' translate3d(' + a._lastPos.left + 'px,' + a._lastPos.top + 'px, 0)',
a.css(b),
a.css('pointer-events', 'none'),
a._filteringOut = !0
},
_filterIn: function (a) {
var c = this,
d = c._parent._makeDeepCopy(c._parent.options.filterInCss);
b(c).removeClass('filteredOut'),
c._filteringIn = !0,
c._lastPos = a,
c.css('pointer-events', 'auto'),
d.transform += ' translate3d(' + a.left + 'px,' + a.top + 'px, 0)',
c.css(d)
}
}
}(this, jQuery);
}(jQuery));
(function ($) { /*!Lazy Load 1.9.5 - MIT license - Copyright 2010-2015 Mika Tuupola*/
!function (t, e) {
'object' == typeof exports ? module.exports = e(t)  : 'function' == typeof define && define.amd ? define([], e(t))  : t.LazyLoad = e(t)
}('undefined' != typeof global ? global : this.window || this.global, function (t) {
'use strict';
function e(t, e) {
this.settings = r(s, e || {
}),
this.images = t || document.querySelectorAll(this.settings.selector),
this.observer = null,
this.init()
}
const s = {
src: 'data-src',
srcset: 'data-srcset',
selector: '.lazyload'
},
r = function () {
let t = {
},
e = !1,
s = 0,
o = arguments.length;
'[object Boolean]' === Object.prototype.toString.call(arguments[0]) && (e = arguments[0], s++);
for (; s < o; s++) !function (s) {
for (let o in s) Object.prototype.hasOwnProperty.call(s, o) && (e && '[object Object]' === Object.prototype.toString.call(s[o]) ? t[o] = r(!0, t[o], s[o])  : t[o] = s[o])
}(arguments[s]);
return t
};
if (e.prototype = {
init: function () {
if (!t.IntersectionObserver) return void this.loadImages();
let e = this,
s = {
root: null,
rootMargin: '0px',
threshold: [
0
]
};
this.observer = new IntersectionObserver(function (t) {
t.forEach(function (t) {
if (t.intersectionRatio > 0) {
e.observer.unobserve(t.target);
let s = t.target.getAttribute(e.settings.src),
r = t.target.getAttribute(e.settings.srcset);
'img' === t.target.tagName.toLowerCase() ? (s && (t.target.src = s), r && (t.target.srcset = r))  : t.target.style.backgroundImage = 'url(' + s + ')'
}
})
}, s),
this.images.forEach(function (t) {
e.observer.observe(t)
})
},
loadAndDestroy: function () {
this.settings && (this.loadImages(), this.destroy())
},
loadImages: function () {
if (!this.settings) return;
let t = this;
this.images.forEach(function (e) {
let s = e.getAttribute(t.settings.src),
r = e.getAttribute(t.settings.srcset);
'img' === e.tagName.toLowerCase() ? (s && (e.src = s), r && (e.srcset = r))  : e.style.backgroundImage = 'url(' + s + ')'
})
},
destroy: function () {
this.settings && (this.observer.disconnect(), this.settings = null)
}
}, t.lazyload = function (t, s) {
return new e(t, s)
}, t.jQuery) {
const s = t.jQuery;
s.fn.lazyload = function (t) {
return t = t || {
},
t.attribute = t.attribute || 'data-src',
new e(s.makeArray(this), t),
this
}
}
return e
});
}(jQuery));
(function ($) { /*!* smoothState.js Miguel Ángel Pérez reachme@miguel-perez.com http://smoothstate.com*/
!function (t) {
'use strict';
'object' == typeof module && 'object' == typeof module.exports ? t(require('jquery'), window, document)  : t(jQuery, window, document)
}(function (b, C, E, P) {
'use strict';
if (!C.history.pushState) return b.fn.smoothState = function () {
return this
},
void (b.fn.smoothState.options = {
});
if (!b.fn.smoothState) {
var T = b('html, body'),
O = C.console,
x = {
isExternal: function (t) {
var e = t.match(/^([^:\/?#]+:)?(?:\/\/([^\/?#]*))?([^?#]+)?(\?[^#]*)?(#.*)?/);
return 'string' == typeof e[1] && 0 < e[1].length && e[1].toLowerCase() !== C.location.protocol || 'string' == typeof e[2] && 0 < e[2].length && e[2].replace(new RegExp(':(' + {
'http:': 80,
'https:': 443
}
[
C.location.protocol
] + ')?$'), '') !== C.location.host
},
stripHash: function (t) {
return t.replace(/#.*/, '')
},
isHash: function (t, e) {
e = e || C.location.pathname;
var n = 0 <= t.indexOf(e),
o = t.slice(t.indexOf(e) + e.length),
r = 0 < t.indexOf('#');
return ('' === o || 0 === o.indexOf('#')) && !(!n || !r)
},
translate: function (t) {
var e = {
dataType: 'html',
type: 'GET'
};
return t = 'string' == typeof t ? b.extend({
}, e, {
url: t
})  : b.extend({
}, e, t)
},
shouldLoadAnchor: function (t, e, n) {
var o = t.prop('href');
return !(x.isExternal(o) || x.isHash(o) || t.is(e) || t.prop('target') || typeof n !== P && '' !== n && - 1 === t.prop('href').search(n))
},
clearIfOverCapacity: function (t, e) {
return Object.keys || (Object.keys = function (t) {
var e,
n = [
];
for (e in t) Object.prototype.hasOwnProperty.call(t, e) && n.push(e);
return n
}),
Object.keys(t).length > e && (t = {
}),
t
},
storePageIn: function (t, e, n, o, r, a) {
var i = b('<html></html>').append(b(n));
return void 0 === r && (r = {
}),
void 0 === a && (a = e),
t[e] = {
status: 'loaded',
title: i.find('title').first().text(),
html: i.find('#' + o),
doc: n,
state: r,
destUrl: a
},
t
},
triggerAllAnimationEndEvent: function (e, t) {
t = ' ' + t || '';
var n = 0;
e.on('animationstart webkitAnimationStart oanimationstart MSAnimationStart', function (t) {
b(t.delegateTarget).is(e) && (t.stopPropagation(), n++)
}),
e.on('animationend webkitAnimationEnd oanimationend MSAnimationEnd', function (t) {
b(t.delegateTarget).is(e) && (t.stopPropagation(), 0 == --n && e.trigger('allanimationend'))
}),
e.on('allanimationend' + t, function () {
n = 0,
x.redraw(e)
})
},
redraw: function (t) {
t.height()
}
},
n = function (t, s) {
var e,
l = b(t),
c = l.prop('id'),
o = null,
r = !1,
u = {
},
d = {
},
n = C.location.href,
f = function (t) {
(t = t || !1) && u.hasOwnProperty(t) ? delete u[t] : u = {
},
l.data('smoothState').cache = u
},
h = function (t, e) {
e = e || b.noop;
var r = x.translate(t);
if (!(u = x.clearIfOverCapacity(u, s.cacheLength)).hasOwnProperty(r.url) || void 0 !== r.data) {
u[r.url] = {
status: 'fetching'
};
var n = b.ajax(r);
n.done(function (t) {
x.storePageIn(u, r.url, t, c),
l.data('smoothState').cache = u
}),
n.fail(function () {
u[r.url].status = 'error'
}),
s.locationHeader && n.always(function (t, e, n) {
var o = (t.statusCode ? t : n).getResponseHeader(s.locationHeader);
o && (u[r.url].destUrl = o)
}),
e && n.always(e)
}
},
p = function (t) {
var e = '#' + c,
n = u[t] ? b(u[t].html.html())  : null;
n.length ? (E.title = u[t].title, l.data('smoothState').href = t, s.loadingClass && T.removeClass(s.loadingClass), s.onReady.render(l, n), l.one('ss.onReadyEnd', function () {
r = !1,
s.onAfter(l, n),
s.scroll && function () {
if (o) {
var t = b(o, l);
if (t.length) {
var e = t.offset().top;
T.scrollTop(e)
}
o = null
}
}(),
w(l)
}), C.setTimeout(function () {
l.trigger('ss.onReadyEnd')
}, s.onReady.duration))  : !n && s.debug && O ? O.warn('No element with an id of ' + e + ' in response from ' + t + ' in ' + u)  : C.location = t
},
a = function (t, n, o) {
var r = x.translate(t);
void 0 === n && (n = !0),
void 0 === o && (o = !0);
var a = !1,
i = !1,
e = {
loaded: function () {
var t = a ? 'ss.onProgressEnd' : 'ss.onStartEnd';
if (i && a ? i && p(r.url)  : l.one(t, function () {
p(r.url),
o || f(r.url)
}), n) {
var e = u[r.url].destUrl;
d = s.alterChangeState({
id: c
}, u[r.url].title, e),
u[r.url].state = d,
C.history.pushState(d, u[r.url].title, e)
}
i && !o && f(r.url)
},
fetching: function () {
a || (a = !0, l.one('ss.onStartEnd', function () {
s.loadingClass && T.addClass(s.loadingClass),
s.onProgress.render(l),
C.setTimeout(function () {
l.trigger('ss.onProgressEnd'),
i = !0
}, s.onProgress.duration)
})),
C.setTimeout(function () {
u.hasOwnProperty(r.url) && e[u[r.url].status]()
}, 10)
},
error: function () {
s.debug && O ? O.log('There was an error loading: ' + r.url)  : C.location = r.url
}
};
u.hasOwnProperty(r.url) || h(r),
s.onStart.render(l),
C.setTimeout(function () {
s.scroll && setTimeout(function () {
T.scrollTop(0)
}, 200),
l.trigger('ss.onStartEnd')
}, s.onStart.duration),
e[u[r.url].status]()
},
i = function (t) {
var e,
n = b(t.currentTarget);
x.shouldLoadAnchor(n, s.blacklist, s.hrefRegex) && !r && (t.stopPropagation(), e = x.translate(n.prop('href')), e = s.alterRequest(e), h(e))
},
g = function (t) {
var e = b(t.currentTarget);
if (!t.metaKey && !t.ctrlKey && x.shouldLoadAnchor(e, s.blacklist, s.hrefRegex) && (t.stopPropagation(), t.preventDefault(), !y())) {
S();
var n = x.translate(e.prop('href'));
r = !0,
o = e.prop('hash'),
n = s.alterRequest(n),
s.onBefore(e, l),
a(n)
}
},
m = function (t) {
var e = b(t.currentTarget);
if (!e.is(s.blacklist) && (t.preventDefault(), t.stopPropagation(), !y())) {
S();
var n = {
url: e.prop('action'),
data: e.serialize(),
type: e.prop('method')
};
r = !0,
'get' === (n = s.alterRequest(n)).type.toLowerCase() && (n.url = n.url + '?' + n.data),
s.onBefore(e, l),
a(n, P, s.allowFormCaching)
}
},
v = 0,
y = function () {
var t = null === s.repeatDelay,
e = parseInt(Date.now()) > v;
return !(t || e)
},
S = function () {
v = parseInt(Date.now()) + parseInt(s.repeatDelay)
},
w = function (t) {
s.anchors && s.prefetch && t.find(s.anchors).not(s.prefetchBlacklist).on(s.prefetchOn, null, i)
};
return s = b.extend({
}, b.fn.smoothState.options, s),
null === C.history.state ? (d = s.alterChangeState({
id: c
}, E.title, n), C.history.replaceState(d, E.title, n))  : d = {
},
x.storePageIn(u, n, E.documentElement.outerHTML, c, d),
x.triggerAllAnimationEndEvent(l, 'ss.onStartEnd ss.onProgressEnd ss.onEndEnd'),
e = l,
s.anchors && (e.on('click', s.anchors, g), w(e)),
s.forms && e.on('submit', s.forms, m),
{
href: n,
cache: u,
clear: f,
load: a,
fetch: h,
restartCSSAnimations: function () {
var t = l.prop('class');
l.removeClass(t),
x.redraw(l),
l.addClass(t)
}
}
};
C.onpopstate = function (t) {
if (b('body').addClass('back-pressed'), setTimeout(function () {
b('body').removeClass('back-pressed')
}, 550), null !== t.state) {
var e = C.location.href,
n = b('#' + t.state.id).data('smoothState'),
o = n.href !== e && !x.isHash(e, n.href),
r = t.state !== n.cache[n.href].state;
(o || r) && (r && n.clear(n.href), n.load(e, !1))
}
},
b.smoothStateUtility = x,
b.fn.smoothState = function (e) {
return this.each(function () {
var t = this.tagName.toLowerCase();
this.id && 'body' !== t && 'html' !== t && !b.data(this, 'smoothState') ? b.data(this, 'smoothState', new n(this, e))  : !this.id && O ? O.warn('Every smoothState container needs an id but the following one does not have one:', this)  : 'body' !== t && 'html' !== t || !O || O.warn('The smoothstate container cannot be the ' + this.tagName + ' tag')
})
},
b.fn.smoothState.options = {
debug: !1,
anchors: 'a',
hrefRegex: '',
forms: 'form',
allowFormCaching: !1,
repeatDelay: 500,
blacklist: '.no-smoothState',
prefetch: !1,
prefetchOn: 'mouseover touchstart',
prefetchBlacklist: '.no-prefetch',
locationHeader: 'X-SmoothState-Location',
cacheLength: 0,
loadingClass: 'is-loading',
scroll: !1,
alterRequest: function (t) {
return t
},
alterChangeState: function (t, e, n) {
return t
},
onBefore: function (t, e) {
},
onStart: {
duration: 0,
render: function (t) {
}
},
onProgress: {
duration: 0,
render: function (t) {
}
},
onReady: {
duration: 0,
render: function (t, e) {
t.html(e)
}
},
onAfter: function (t, e) {
}
}
}
});
}(jQuery));
(function ($) { /*!Hammer.JS - v2.0.8 - 2016-04-23 * http://hammerjs.github.io/ * Copyright (c) 2016 Jorik Tangelder; * Licensed under the MIT license*/
!function (a, b, c, d) {
'use strict';
function e(a, b, c) {
return setTimeout(j(a, c), b)
}
function f(a, b, c) {
return Array.isArray(a) ? (g(a, c[b], c), !0)  : !1
}
function g(a, b, c) {
var e;
if (a) if (a.forEach) a.forEach(b, c);
 else if (a.length !== d) for (e = 0; e < a.length; ) b.call(c, a[e], e, a),
e++;
 else for (e in a) a.hasOwnProperty(e) && b.call(c, a[e], e, a)
}
function h(b, c, d) {
var e = 'DEPRECATED METHOD: ' + c + '\n' + d + ' AT \n';
return function () {
var c = new Error('get-stack-trace'),
d = c && c.stack ? c.stack.replace(/^[^\(]+?[\n$]/gm, '').replace(/^\s+at\s+/gm, '').replace(/^Object.<anonymous>\s*\(/gm, '{anonymous}()@')  : 'Unknown Stack Trace',
f = a.console && (a.console.warn || a.console.log);
return f && f.call(a.console, e, d),
b.apply(this, arguments)
}
}
function i(a, b, c) {
var d,
e = b.prototype;
d = a.prototype = Object.create(e),
d.constructor = a,
d._super = e,
c && la(d, c)
}
function j(a, b) {
return function () {
return a.apply(b, arguments)
}
}
function k(a, b) {
return typeof a == oa ? a.apply(b ? b[0] || d : d, b)  : a
}
function l(a, b) {
return a === d ? b : a
}
function m(a, b, c) {
g(q(b), function (b) {
a.addEventListener(b, c, !1)
})
}
function n(a, b, c) {
g(q(b), function (b) {
a.removeEventListener(b, c, !1)
})
}
function o(a, b) {
for (; a; ) {
if (a == b) return !0;
a = a.parentNode
}
return !1
}
function p(a, b) {
return a.indexOf(b) > - 1
}
function q(a) {
return a.trim().split(/\s+/g)
}
function r(a, b, c) {
if (a.indexOf && !c) return a.indexOf(b);
for (var d = 0; d < a.length; ) {
if (c && a[d][c] == b || !c && a[d] === b) return d;
d++
}
return - 1
}
function s(a) {
return Array.prototype.slice.call(a, 0)
}
function t(a, b, c) {
for (var d = [
], e = [
], f = 0; f < a.length; ) {
var g = b ? a[f][b] : a[f];
r(e, g) < 0 && d.push(a[f]),
e[f] = g,
f++
}
return c && (d = b ? d.sort(function (a, c) {
return a[b] > c[b]
})  : d.sort()),
d
}
function u(a, b) {
for (var c, e, f = b[0].toUpperCase() + b.slice(1), g = 0; g < ma.length; ) {
if (c = ma[g], e = c ? c + f : b, e in a) return e;
g++
}
return d
}
function v() {
return ua++
}
function w(b) {
var c = b.ownerDocument || b;
return c.defaultView || c.parentWindow || a
}
function x(a, b) {
var c = this;
this.manager = a,
this.callback = b,
this.element = a.element,
this.target = a.options.inputTarget,
this.domHandler = function (b) {
k(a.options.enable, [
a
]) && c.handler(b)
},
this.init()
}
function y(a) {
var b,
c = a.options.inputClass;
return new (b = c ? c : xa ? M : ya ? P : wa ? R : L) (a, z)
}
function z(a, b, c) {
var d = c.pointers.length,
e = c.changedPointers.length,
f = b & Ea && d - e === 0,
g = b & (Ga | Ha) && d - e === 0;
c.isFirst = !!f,
c.isFinal = !!g,
f && (a.session = {
}),
c.eventType = b,
A(a, c),
a.emit('hammer.input', c),
a.recognize(c),
a.session.prevInput = c
}
function A(a, b) {
var c = a.session,
d = b.pointers,
e = d.length;
c.firstInput || (c.firstInput = D(b)),
e > 1 && !c.firstMultiple ? c.firstMultiple = D(b)  : 1 === e && (c.firstMultiple = !1);
var f = c.firstInput,
g = c.firstMultiple,
h = g ? g.center : f.center,
i = b.center = E(d);
b.timeStamp = ra(),
b.deltaTime = b.timeStamp - f.timeStamp,
b.angle = I(h, i),
b.distance = H(h, i),
B(c, b),
b.offsetDirection = G(b.deltaX, b.deltaY);
var j = F(b.deltaTime, b.deltaX, b.deltaY);
b.overallVelocityX = j.x,
b.overallVelocityY = j.y,
b.overallVelocity = qa(j.x) > qa(j.y) ? j.x : j.y,
b.scale = g ? K(g.pointers, d)  : 1,
b.rotation = g ? J(g.pointers, d)  : 0,
b.maxPointers = c.prevInput ? b.pointers.length > c.prevInput.maxPointers ? b.pointers.length : c.prevInput.maxPointers : b.pointers.length,
C(c, b);
var k = a.element;
o(b.srcEvent.target, k) && (k = b.srcEvent.target),
b.target = k
}
function B(a, b) {
var c = b.center,
d = a.offsetDelta || {
},
e = a.prevDelta || {
},
f = a.prevInput || {
};
b.eventType !== Ea && f.eventType !== Ga || (e = a.prevDelta = {
x: f.deltaX || 0,
y: f.deltaY || 0
}, d = a.offsetDelta = {
x: c.x,
y: c.y
}),
b.deltaX = e.x + (c.x - d.x),
b.deltaY = e.y + (c.y - d.y)
}
function C(a, b) {
var c,
e,
f,
g,
h = a.lastInterval || b,
i = b.timeStamp - h.timeStamp;
if (b.eventType != Ha && (i > Da || h.velocity === d)) {
var j = b.deltaX - h.deltaX,
k = b.deltaY - h.deltaY,
l = F(i, j, k);
e = l.x,
f = l.y,
c = qa(l.x) > qa(l.y) ? l.x : l.y,
g = G(j, k),
a.lastInterval = b
} else c = h.velocity,
e = h.velocityX,
f = h.velocityY,
g = h.direction;
b.velocity = c,
b.velocityX = e,
b.velocityY = f,
b.direction = g
}
function D(a) {
for (var b = [
], c = 0; c < a.pointers.length; ) b[c] = {
clientX: pa(a.pointers[c].clientX),
clientY: pa(a.pointers[c].clientY)
},
c++;
return {
timeStamp: ra(),
pointers: b,
center: E(b),
deltaX: a.deltaX,
deltaY: a.deltaY
}
}
function E(a) {
var b = a.length;
if (1 === b) return {
x: pa(a[0].clientX),
y: pa(a[0].clientY)
};
for (var c = 0, d = 0, e = 0; b > e; ) c += a[e].clientX,
d += a[e].clientY,
e++;
return {
x: pa(c / b),
y: pa(d / b)
}
}
function F(a, b, c) {
return {
x: b / a || 0,
y: c / a || 0
}
}
function G(a, b) {
return a === b ? Ia : qa(a) >= qa(b) ? 0 > a ? Ja : Ka : 0 > b ? La : Ma
}
function H(a, b, c) {
c || (c = Qa);
var d = b[c[0]] - a[c[0]],
e = b[c[1]] - a[c[1]];
return Math.sqrt(d * d + e * e)
}
function I(a, b, c) {
c || (c = Qa);
var d = b[c[0]] - a[c[0]],
e = b[c[1]] - a[c[1]];
return 180 * Math.atan2(e, d) / Math.PI
}
function J(a, b) {
return I(b[1], b[0], Ra) + I(a[1], a[0], Ra)
}
function K(a, b) {
return H(b[0], b[1], Ra) / H(a[0], a[1], Ra)
}
function L() {
this.evEl = Ta,
this.evWin = Ua,
this.pressed = !1,
x.apply(this, arguments)
}
function M() {
this.evEl = Xa,
this.evWin = Ya,
x.apply(this, arguments),
this.store = this.manager.session.pointerEvents = [
]
}
function N() {
this.evTarget = $a,
this.evWin = _a,
this.started = !1,
x.apply(this, arguments)
}
function O(a, b) {
var c = s(a.touches),
d = s(a.changedTouches);
return b & (Ga | Ha) && (c = t(c.concat(d), 'identifier', !0)),
[
c,
d
]
}
function P() {
this.evTarget = bb,
this.targetIds = {
},
x.apply(this, arguments)
}
function Q(a, b) {
var c = s(a.touches),
d = this.targetIds;
if (b & (Ea | Fa) && 1 === c.length) return d[c[0].identifier] = !0,
[
c,
c
];
var e,
f,
g = s(a.changedTouches),
h = [
],
i = this.target;
if (f = c.filter(function (a) {
return o(a.target, i)
}), b === Ea) for (e = 0; e < f.length; ) d[f[e].identifier] = !0,
e++;
for (e = 0; e < g.length; ) d[g[e].identifier] && h.push(g[e]),
b & (Ga | Ha) && delete d[g[e].identifier],
e++;
return h.length ? [
t(f.concat(h), 'identifier', !0),
h
] : void 0
}
function R() {
x.apply(this, arguments);
var a = j(this.handler, this);
this.touch = new P(this.manager, a),
this.mouse = new L(this.manager, a),
this.primaryTouch = null,
this.lastTouches = [
]
}
function S(a, b) {
a & Ea ? (this.primaryTouch = b.changedPointers[0].identifier, T.call(this, b))  : a & (Ga | Ha) && T.call(this, b)
}
function T(a) {
var b = a.changedPointers[0];
if (b.identifier === this.primaryTouch) {
var c = {
x: b.clientX,
y: b.clientY
};
this.lastTouches.push(c);
var d = this.lastTouches,
e = function () {
var a = d.indexOf(c);
a > - 1 && d.splice(a, 1)
};
setTimeout(e, cb)
}
}
function U(a) {
for (var b = a.srcEvent.clientX, c = a.srcEvent.clientY, d = 0; d < this.lastTouches.length; d++) {
var e = this.lastTouches[d],
f = Math.abs(b - e.x),
g = Math.abs(c - e.y);
if (db >= f && db >= g) return !0
}
return !1
}
function V(a, b) {
this.manager = a,
this.set(b)
}
function W(a) {
if (p(a, jb)) return jb;
var b = p(a, kb),
c = p(a, lb);
return b && c ? jb : b || c ? b ? kb : lb : p(a, ib) ? ib : hb
}
function X() {
if (!fb) return !1;
var b = {
},
c = a.CSS && a.CSS.supports;
return ['auto',
'manipulation',
'pan-y',
'pan-x',
'pan-x pan-y',
'none'].forEach(function (d) {
b[d] = c ? a.CSS.supports('touch-action', d)  : !0
}),
b
}
function Y(a) {
this.options = la({
}, this.defaults, a || {
}),
this.id = v(),
this.manager = null,
this.options.enable = l(this.options.enable, !0),
this.state = nb,
this.simultaneous = {
},
this.requireFail = [
]
}
function Z(a) {
return a & sb ? 'cancel' : a & qb ? 'end' : a & pb ? 'move' : a & ob ? 'start' : ''
}
function $(a) {
return a == Ma ? 'down' : a == La ? 'up' : a == Ja ? 'left' : a == Ka ? 'right' : ''
}
function _(a, b) {
var c = b.manager;
return c ? c.get(a)  : a
}
function aa() {
Y.apply(this, arguments)
}
function ba() {
aa.apply(this, arguments),
this.pX = null,
this.pY = null
}
function ca() {
aa.apply(this, arguments)
}
function da() {
Y.apply(this, arguments),
this._timer = null,
this._input = null
}
function ea() {
aa.apply(this, arguments)
}
function fa() {
aa.apply(this, arguments)
}
function ga() {
Y.apply(this, arguments),
this.pTime = !1,
this.pCenter = !1,
this._timer = null,
this._input = null,
this.count = 0
}
function ha(a, b) {
return b = b || {
},
b.recognizers = l(b.recognizers, ha.defaults.preset),
new ia(a, b)
}
function ia(a, b) {
this.options = la({
}, ha.defaults, b || {
}),
this.options.inputTarget = this.options.inputTarget || a,
this.handlers = {
},
this.session = {
},
this.recognizers = [
],
this.oldCssProps = {
},
this.element = a,
this.input = y(this),
this.touchAction = new V(this, this.options.touchAction),
ja(this, !0),
g(this.options.recognizers, function (a) {
var b = this.add(new a[0](a[1]));
a[2] && b.recognizeWith(a[2]),
a[3] && b.requireFailure(a[3])
}, this)
}
function ja(a, b) {
var c = a.element;
if (c.style) {
var d;
g(a.options.cssProps, function (e, f) {
d = u(c.style, f),
b ? (a.oldCssProps[d] = c.style[d], c.style[d] = e)  : c.style[d] = a.oldCssProps[d] || ''
}),
b || (a.oldCssProps = {
})
}
}
function ka(a, c) {
var d = b.createEvent('Event');
d.initEvent(a, !0, !0),
d.gesture = c,
c.target.dispatchEvent(d)
}
var la,
ma = [
'',
'webkit',
'Moz',
'MS',
'ms',
'o'
],
na = b.createElement('div'),
oa = 'function',
pa = Math.round,
qa = Math.abs,
ra = Date.now;
la = 'function' != typeof Object.assign ? function (a) {
if (a === d || null === a) throw new TypeError('Cannot convert undefined or null to object');
for (var b = Object(a), c = 1; c < arguments.length; c++) {
var e = arguments[c];
if (e !== d && null !== e) for (var f in e) e.hasOwnProperty(f) && (b[f] = e[f])
}
return b
}
 : Object.assign;
var sa = h(function (a, b, c) {
for (var e = Object.keys(b), f = 0; f < e.length; ) (!c || c && a[e[f]] === d) && (a[e[f]] = b[e[f]]),
f++;
return a
}, 'extend', 'Use `assign`.'),
ta = h(function (a, b) {
return sa(a, b, !0)
}, 'merge', 'Use `assign`.'),
ua = 1,
va = /mobile|tablet|ip(ad|hone|od)|android/i,
wa = 'ontouchstart' in a,
xa = u(a, 'PointerEvent') !== d,
ya = wa && va.test(navigator.userAgent),
za = 'touch',
Aa = 'pen',
Ba = 'mouse',
Ca = 'kinect',
Da = 25,
Ea = 1,
Fa = 2,
Ga = 4,
Ha = 8,
Ia = 1,
Ja = 2,
Ka = 4,
La = 8,
Ma = 16,
Na = Ja | Ka,
Oa = La | Ma,
Pa = Na | Oa,
Qa = [
'x',
'y'
],
Ra = [
'clientX',
'clientY'
];
x.prototype = {
handler: function () {
},
init: function () {
this.evEl && m(this.element, this.evEl, this.domHandler),
this.evTarget && m(this.target, this.evTarget, this.domHandler),
this.evWin && m(w(this.element), this.evWin, this.domHandler)
},
destroy: function () {
this.evEl && n(this.element, this.evEl, this.domHandler),
this.evTarget && n(this.target, this.evTarget, this.domHandler),
this.evWin && n(w(this.element), this.evWin, this.domHandler)
}
};
var Sa = {
mousedown: Ea,
mousemove: Fa,
mouseup: Ga
},
Ta = 'mousedown',
Ua = 'mousemove mouseup';
i(L, x, {
handler: function (a) {
var b = Sa[a.type];
b & Ea && 0 === a.button && (this.pressed = !0),
b & Fa && 1 !== a.which && (b = Ga),
this.pressed && (b & Ga && (this.pressed = !1), this.callback(this.manager, b, {
pointers: [
a
],
changedPointers: [
a
],
pointerType: Ba,
srcEvent: a
}))
}
});
var Va = {
pointerdown: Ea,
pointermove: Fa,
pointerup: Ga,
pointercancel: Ha,
pointerout: Ha
},
Wa = {
2: za,
3: Aa,
4: Ba,
5: Ca
},
Xa = 'pointerdown',
Ya = 'pointermove pointerup pointercancel';
a.MSPointerEvent && !a.PointerEvent && (Xa = 'MSPointerDown', Ya = 'MSPointerMove MSPointerUp MSPointerCancel'),
i(M, x, {
handler: function (a) {
var b = this.store,
c = !1,
d = a.type.toLowerCase().replace('ms', ''),
e = Va[d],
f = Wa[a.pointerType] || a.pointerType,
g = f == za,
h = r(b, a.pointerId, 'pointerId');
e & Ea && (0 === a.button || g) ? 0 > h && (b.push(a), h = b.length - 1)  : e & (Ga | Ha) && (c = !0),
0 > h || (b[h] = a, this.callback(this.manager, e, {
pointers: b,
changedPointers: [
a
],
pointerType: f,
srcEvent: a
}), c && b.splice(h, 1))
}
});
var Za = {
touchstart: Ea,
touchmove: Fa,
touchend: Ga,
touchcancel: Ha
},
$a = 'touchstart',
_a = 'touchstart touchmove touchend touchcancel';
i(N, x, {
handler: function (a) {
var b = Za[a.type];
if (b === Ea && (this.started = !0), this.started) {
var c = O.call(this, a, b);
b & (Ga | Ha) && c[0].length - c[1].length === 0 && (this.started = !1),
this.callback(this.manager, b, {
pointers: c[0],
changedPointers: c[1],
pointerType: za,
srcEvent: a
})
}
}
});
var ab = {
touchstart: Ea,
touchmove: Fa,
touchend: Ga,
touchcancel: Ha
},
bb = 'touchstart touchmove touchend touchcancel';
i(P, x, {
handler: function (a) {
var b = ab[a.type],
c = Q.call(this, a, b);
c && this.callback(this.manager, b, {
pointers: c[0],
changedPointers: c[1],
pointerType: za,
srcEvent: a
})
}
});
var cb = 2500,
db = 25;
i(R, x, {
handler: function (a, b, c) {
var d = c.pointerType == za,
e = c.pointerType == Ba;
if (!(e && c.sourceCapabilities && c.sourceCapabilities.firesTouchEvents)) {
if (d) S.call(this, b, c);
 else if (e && U.call(this, c)) return;
this.callback(a, b, c)
}
},
destroy: function () {
this.touch.destroy(),
this.mouse.destroy()
}
});
var eb = u(na.style, 'touchAction'),
fb = eb !== d,
gb = 'compute',
hb = 'auto',
ib = 'manipulation',
jb = 'none',
kb = 'pan-x',
lb = 'pan-y',
mb = X();
V.prototype = {
set: function (a) {
a == gb && (a = this.compute()),
fb && this.manager.element.style && mb[a] && (this.manager.element.style[eb] = a),
this.actions = a.toLowerCase().trim()
},
update: function () {
this.set(this.manager.options.touchAction)
},
compute: function () {
var a = [
];
return g(this.manager.recognizers, function (b) {
k(b.options.enable, [
b
]) && (a = a.concat(b.getTouchAction()))
}),
W(a.join(' '))
},
preventDefaults: function (a) {
var b = a.srcEvent,
c = a.offsetDirection;
if (this.manager.session.prevented) return void b.preventDefault();
var d = this.actions,
e = p(d, jb) && !mb[jb],
f = p(d, lb) && !mb[lb],
g = p(d, kb) && !mb[kb];
if (e) {
var h = 1 === a.pointers.length,
i = a.distance < 2,
j = a.deltaTime < 250;
if (h && i && j) return
}
return g && f ? void 0 : e || f && c & Na || g && c & Oa ? this.preventSrc(b)  : void 0
},
preventSrc: function (a) {
this.manager.session.prevented = !0,
a.preventDefault()
}
};
var nb = 1,
ob = 2,
pb = 4,
qb = 8,
rb = qb,
sb = 16,
tb = 32;
Y.prototype = {
defaults: {
},
set: function (a) {
return la(this.options, a),
this.manager && this.manager.touchAction.update(),
this
},
recognizeWith: function (a) {
if (f(a, 'recognizeWith', this)) return this;
var b = this.simultaneous;
return a = _(a, this),
b[a.id] || (b[a.id] = a, a.recognizeWith(this)),
this
},
dropRecognizeWith: function (a) {
return f(a, 'dropRecognizeWith', this) ? this : (a = _(a, this), delete this.simultaneous[a.id], this)
},
requireFailure: function (a) {
if (f(a, 'requireFailure', this)) return this;
var b = this.requireFail;
return a = _(a, this),
- 1 === r(b, a) && (b.push(a), a.requireFailure(this)),
this
},
dropRequireFailure: function (a) {
if (f(a, 'dropRequireFailure', this)) return this;
a = _(a, this);
var b = r(this.requireFail, a);
return b > - 1 && this.requireFail.splice(b, 1),
this
},
hasRequireFailures: function () {
return this.requireFail.length > 0
},
canRecognizeWith: function (a) {
return !!this.simultaneous[a.id]
},
emit: function (a) {
function b(b) {
c.manager.emit(b, a)
}
var c = this,
d = this.state;
qb > d && b(c.options.event + Z(d)),
b(c.options.event),
a.additionalEvent && b(a.additionalEvent),
d >= qb && b(c.options.event + Z(d))
},
tryEmit: function (a) {
return this.canEmit() ? this.emit(a)  : void (this.state = tb)
},
canEmit: function () {
for (var a = 0; a < this.requireFail.length; ) {
if (!(this.requireFail[a].state & (tb | nb))) return !1;
a++
}
return !0
},
recognize: function (a) {
var b = la({
}, a);
return k(this.options.enable, [
this,
b
]) ? (this.state & (rb | sb | tb) && (this.state = nb), this.state = this.process(b), void (this.state & (ob | pb | qb | sb) && this.tryEmit(b)))  : (this.reset(), void (this.state = tb))
},
process: function (a) {
},
getTouchAction: function () {
},
reset: function () {
}
},
i(aa, Y, {
defaults: {
pointers: 1
},
attrTest: function (a) {
var b = this.options.pointers;
return 0 === b || a.pointers.length === b
},
process: function (a) {
var b = this.state,
c = a.eventType,
d = b & (ob | pb),
e = this.attrTest(a);
return d && (c & Ha || !e) ? b | sb : d || e ? c & Ga ? b | qb : b & ob ? b | pb : ob : tb
}
}),
i(ba, aa, {
defaults: {
event: 'pan',
threshold: 10,
pointers: 1,
direction: Pa
},
getTouchAction: function () {
var a = this.options.direction,
b = [
];
return a & Na && b.push(lb),
a & Oa && b.push(kb),
b
},
directionTest: function (a) {
var b = this.options,
c = !0,
d = a.distance,
e = a.direction,
f = a.deltaX,
g = a.deltaY;
return e & b.direction || (b.direction & Na ? (e = 0 === f ? Ia : 0 > f ? Ja : Ka, c = f != this.pX, d = Math.abs(a.deltaX))  : (e = 0 === g ? Ia : 0 > g ? La : Ma, c = g != this.pY, d = Math.abs(a.deltaY))),
a.direction = e,
c && d > b.threshold && e & b.direction
},
attrTest: function (a) {
return aa.prototype.attrTest.call(this, a) && (this.state & ob || !(this.state & ob) && this.directionTest(a))
},
emit: function (a) {
this.pX = a.deltaX,
this.pY = a.deltaY;
var b = $(a.direction);
b && (a.additionalEvent = this.options.event + b),
this._super.emit.call(this, a)
}
}),
i(ca, aa, {
defaults: {
event: 'pinch',
threshold: 0,
pointers: 2
},
getTouchAction: function () {
return [jb]
},
attrTest: function (a) {
return this._super.attrTest.call(this, a) && (Math.abs(a.scale - 1) > this.options.threshold || this.state & ob)
},
emit: function (a) {
if (1 !== a.scale) {
var b = a.scale < 1 ? 'in' : 'out';
a.additionalEvent = this.options.event + b
}
this._super.emit.call(this, a)
}
}),
i(da, Y, {
defaults: {
event: 'press',
pointers: 1,
time: 251,
threshold: 9
},
getTouchAction: function () {
return [hb]
},
process: function (a) {
var b = this.options,
c = a.pointers.length === b.pointers,
d = a.distance < b.threshold,
f = a.deltaTime > b.time;
if (this._input = a, !d || !c || a.eventType & (Ga | Ha) && !f) this.reset();
 else if (a.eventType & Ea) this.reset(),
this._timer = e(function () {
this.state = rb,
this.tryEmit()
}, b.time, this);
 else if (a.eventType & Ga) return rb;
return tb
},
reset: function () {
clearTimeout(this._timer)
},
emit: function (a) {
this.state === rb && (a && a.eventType & Ga ? this.manager.emit(this.options.event + 'up', a)  : (this._input.timeStamp = ra(), this.manager.emit(this.options.event, this._input)))
}
}),
i(ea, aa, {
defaults: {
event: 'rotate',
threshold: 0,
pointers: 2
},
getTouchAction: function () {
return [jb]
},
attrTest: function (a) {
return this._super.attrTest.call(this, a) && (Math.abs(a.rotation) > this.options.threshold || this.state & ob)
}
}),
i(fa, aa, {
defaults: {
event: 'swipe',
threshold: 10,
velocity: 0.3,
direction: Na | Oa,
pointers: 1
},
getTouchAction: function () {
return ba.prototype.getTouchAction.call(this)
},
attrTest: function (a) {
var b,
c = this.options.direction;
return c & (Na | Oa) ? b = a.overallVelocity : c & Na ? b = a.overallVelocityX : c & Oa && (b = a.overallVelocityY),
this._super.attrTest.call(this, a) && c & a.offsetDirection && a.distance > this.options.threshold && a.maxPointers == this.options.pointers && qa(b) > this.options.velocity && a.eventType & Ga
},
emit: function (a) {
var b = $(a.offsetDirection);
b && this.manager.emit(this.options.event + b, a),
this.manager.emit(this.options.event, a)
}
}),
i(ga, Y, {
defaults: {
event: 'tap',
pointers: 1,
taps: 1,
interval: 300,
time: 250,
threshold: 9,
posThreshold: 10
},
getTouchAction: function () {
return [ib]
},
process: function (a) {
var b = this.options,
c = a.pointers.length === b.pointers,
d = a.distance < b.threshold,
f = a.deltaTime < b.time;
if (this.reset(), a.eventType & Ea && 0 === this.count) return this.failTimeout();
if (d && f && c) {
if (a.eventType != Ga) return this.failTimeout();
var g = this.pTime ? a.timeStamp - this.pTime < b.interval : !0,
h = !this.pCenter || H(this.pCenter, a.center) < b.posThreshold;
this.pTime = a.timeStamp,
this.pCenter = a.center,
h && g ? this.count += 1 : this.count = 1,
this._input = a;
var i = this.count % b.taps;
if (0 === i) return this.hasRequireFailures() ? (this._timer = e(function () {
this.state = rb,
this.tryEmit()
}, b.interval, this), ob)  : rb
}
return tb
},
failTimeout: function () {
return this._timer = e(function () {
this.state = tb
}, this.options.interval, this),
tb
},
reset: function () {
clearTimeout(this._timer)
},
emit: function () {
this.state == rb && (this._input.tapCount = this.count, this.manager.emit(this.options.event, this._input))
}
}),
ha.VERSION = '2.0.8',
ha.defaults = {
domEvents: !1,
touchAction: gb,
enable: !0,
inputTarget: null,
inputClass: null,
preset: [
[ea,
{
enable: !1
}
],
[
ca,
{
enable: !1
},
[
'rotate'
]
],
[
fa,
{
direction: Na
}
],
[
ba,
{
direction: Na
},
[
'swipe'
]
],
[
ga
],
[
ga,
{
event: 'doubletap',
taps: 2
},
[
'tap'
]
],
[
da
]
],
cssProps: {
userSelect: 'none',
touchSelect: 'none',
touchCallout: 'none',
contentZooming: 'none',
userDrag: 'none',
tapHighlightColor: 'rgba(0,0,0,0)'
}
};
var ub = 1,
vb = 2;
ia.prototype = {
set: function (a) {
return la(this.options, a),
a.touchAction && this.touchAction.update(),
a.inputTarget && (this.input.destroy(), this.input.target = a.inputTarget, this.input.init()),
this
},
stop: function (a) {
this.session.stopped = a ? vb : ub
},
recognize: function (a) {
var b = this.session;
if (!b.stopped) {
this.touchAction.preventDefaults(a);
var c,
d = this.recognizers,
e = b.curRecognizer;
(!e || e && e.state & rb) && (e = b.curRecognizer = null);
for (var f = 0; f < d.length; ) c = d[f],
b.stopped === vb || e && c != e && !c.canRecognizeWith(e) ? c.reset()  : c.recognize(a),
!e && c.state & (ob | pb | qb) && (e = b.curRecognizer = c),
f++
}
},
get: function (a) {
if (a instanceof Y) return a;
for (var b = this.recognizers, c = 0; c < b.length; c++) if (b[c].options.event == a) return b[c];
return null
},
add: function (a) {
if (f(a, 'add', this)) return this;
var b = this.get(a.options.event);
return b && this.remove(b),
this.recognizers.push(a),
a.manager = this,
this.touchAction.update(),
a
},
remove: function (a) {
if (f(a, 'remove', this)) return this;
if (a = this.get(a)) {
var b = this.recognizers,
c = r(b, a);
- 1 !== c && (b.splice(c, 1), this.touchAction.update())
}
return this
},
on: function (a, b) {
if (a !== d && b !== d) {
var c = this.handlers;
return g(q(a), function (a) {
c[a] = c[a] || [
],
c[a].push(b)
}),
this
}
},
off: function (a, b) {
if (a !== d) {
var c = this.handlers;
return g(q(a), function (a) {
b ? c[a] && c[a].splice(r(c[a], b), 1)  : delete c[a]
}),
this
}
},
emit: function (a, b) {
this.options.domEvents && ka(a, b);
var c = this.handlers[a] && this.handlers[a].slice();
if (c && c.length) {
b.type = a,
b.preventDefault = function () {
b.srcEvent.preventDefault()
};
for (var d = 0; d < c.length; ) c[d](b),
d++
}
},
destroy: function () {
this.element && ja(this, !1),
this.handlers = {
},
this.session = {
},
this.input.destroy(),
this.element = null
}
},
la(ha, {
INPUT_START: Ea,
INPUT_MOVE: Fa,
INPUT_END: Ga,
INPUT_CANCEL: Ha,
STATE_POSSIBLE: nb,
STATE_BEGAN: ob,
STATE_CHANGED: pb,
STATE_ENDED: qb,
STATE_RECOGNIZED: rb,
STATE_CANCELLED: sb,
STATE_FAILED: tb,
DIRECTION_NONE: Ia,
DIRECTION_LEFT: Ja,
DIRECTION_RIGHT: Ka,
DIRECTION_UP: La,
DIRECTION_DOWN: Ma,
DIRECTION_HORIZONTAL: Na,
DIRECTION_VERTICAL: Oa,
DIRECTION_ALL: Pa,
Manager: ia,
Input: x,
TouchAction: V,
TouchInput: P,
MouseInput: L,
PointerEventInput: M,
TouchMouseInput: R,
SingleTouchInput: N,
Recognizer: Y,
AttrRecognizer: aa,
Tap: ga,
Pan: ba,
Swipe: fa,
Pinch: ca,
Rotate: ea,
Press: da,
on: m,
off: n,
each: g,
merge: ta,
extend: sa,
assign: la,
inherit: i,
bindFn: j,
prefixed: u
});
var wb = 'undefined' != typeof a ? a : 'undefined' != typeof self ? self : {
};
wb.Hammer = ha,
'function' == typeof define && define.amd ? define(function () {
return ha
})  : 'undefined' != typeof module && module.exports ? module.exports = ha : a[c] = ha
}(window, document, 'Hammer');
}(jQuery));
(function ($) {
!function (e) {
'function' == typeof define && define.amd ? define(['jquery',
'hammerjs'], e)  : 'object' == typeof exports ? e(require('jquery'), require('hammerjs'))  : e(jQuery, Hammer)
}(function (n, a) {
var r;
n.fn.hammer = function (r) {
return this.each(function () {
var e,
t;
e = r,
(t = n(this)).data('hammer') || t.data('hammer', new a(t[0], e))
})
},
a.Manager.prototype.emit = (r = a.Manager.prototype.emit, function (e, t) {
r.call(this, e, t),
n(this.element).trigger({
type: e,
gesture: t
})
})
});
}(jQuery));
(function ($) { /*!* Lightbox v2.10.0 * by Lokesh Dhakar * Copyright 2007, 2018 Lokesh Dhakar * Released under the MIT license * https://github.com/lokesh/lightbox2/blob/master/LICENSE*/
 /*!
* Lightbox v2.10.0
* by Lokesh Dhakar
*
* More info:
* http://lokeshdhakar.com/projects/lightbox2/
*
* Copyright 2007, 2018 Lokesh Dhakar
* Released under the MIT license
* https://github.com/lokesh/lightbox2/blob/master/LICENSE
*
* @preserve
*/
(function (root, factory) {
if (typeof define === 'function' && define.amd) {
define(['jquery'], factory);
} else if (typeof exports === 'object') {
module.exports = factory(require('jquery'));
} else {
root.lightbox = factory(root.jQuery);
}
}(this, function ($) {
function Lightbox(options) {
this.album = [
];
this.currentImageIndex = void 0;
this.init();
this.options = $.extend({
}, this.constructor.defaults);
this.option(options);
}
Lightbox.defaults = {
albumLabel: 'Image %1 of %2',
alwaysShowNavOnTouchDevices: false,
fadeDuration: 300,
fitImagesInViewport: true,
imageFadeDuration: 0,
positionFromTop: 50,
resizeDuration: 0,
showImageNumberLabel: true,
wrapAround: false,
disableScrolling: false,
sanitizeTitle: false
};
Lightbox.prototype.option = function (options) {
$.extend(this.options, options);
};
Lightbox.prototype.imageCountLabel = function (currentImageNum, totalImages) {
return this.options.albumLabel.replace(/%1/g, currentImageNum).replace(/%2/g, totalImages);
};
Lightbox.prototype.init = function () {
var self = this;
$(document).ready(function () {
self.enable();
self.build();
});
};
Lightbox.prototype.enable = function () {
var self = this;
$('body').on('click', 'a[rel^=lightbox], area[rel^=lightbox], a[data-lightbox], area[data-lightbox]', function (event) {
self.start($(event.currentTarget));
return false;
});
};
Lightbox.prototype.build = function () {
if ($('#lightbox').length > 0) {
return;
}
var self = this;
$('<div id="lightboxOverlay" class="lightboxOverlay"></div><div id="lightbox" class="lightbox"><div class="lb-outerContainer"><div class="lb-container"><img class="lb-image" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="><div class="lb-nav"><a class="lb-prev" href="" ></a><a class="lb-next" href="" ></a></div><div class="lb-loader"><a class="lb-cancel"></a></div></div></div><div class="lb-dataContainer"><div class="lb-data"><div class="lb-details"><span class="lb-caption"></span><span class="lb-number"></span></div><div class="lb-closeContainer"><a class="lb-close"></a></div></div></div></div>').appendTo($('body'));
this.$lightbox = $('#lightbox');
this.$overlay = $('#lightboxOverlay');
this.$outerContainer = this.$lightbox.find('.lb-outerContainer');
this.$container = this.$lightbox.find('.lb-container');
this.$image = this.$lightbox.find('.lb-image');
this.$nav = this.$lightbox.find('.lb-nav');
this.containerPadding = {
top: parseInt(this.$container.css('padding-top'), 10),
right: parseInt(this.$container.css('padding-right'), 10),
bottom: parseInt(this.$container.css('padding-bottom'), 10),
left: parseInt(this.$container.css('padding-left'), 10)
};
this.imageBorderWidth = {
top: parseInt(this.$image.css('border-top-width'), 10),
right: parseInt(this.$image.css('border-right-width'), 10),
bottom: parseInt(this.$image.css('border-bottom-width'), 10),
left: parseInt(this.$image.css('border-left-width'), 10)
};
this.$overlay.hide().on('click', function () {
self.end();
return false;
});
this.$lightbox.hide().on('click', function (event) {
if ($(event.target).attr('id') === 'lightbox') {
self.end();
}
return false;
});
this.$outerContainer.on('click', function (event) {
if ($(event.target).attr('id') === 'lightbox') {
self.end();
}
return false;
});
this.$lightbox.find('.lb-prev').on('click', function () {
if (self.currentImageIndex === 0) {
self.changeImage(self.album.length - 1);
} else {
self.changeImage(self.currentImageIndex - 1);
}
return false;
});
this.$lightbox.find('.lb-next').on('click', function () {
if (self.currentImageIndex === self.album.length - 1) {
self.changeImage(0);
} else {
self.changeImage(self.currentImageIndex + 1);
}
return false;
});
this.$nav.on('mousedown', function (event) {
if (event.which === 3) {
self.$nav.css('pointer-events', 'none');
self.$lightbox.one('contextmenu', function () {
setTimeout(function () {
this.$nav.css('pointer-events', 'auto');
}.bind(self), 0);
});
}
});
this.$lightbox.find('.lb-loader, .lb-close').on('click', function () {
self.end();
return false;
});
};
Lightbox.prototype.start = function ($link) {
var self = this;
var $window = $(window);
$window.on('resize', $.proxy(this.sizeOverlay, this));
$('select, object, embed').css({
visibility: 'hidden'
});
this.sizeOverlay();
this.album = [
];
var imageNumber = 0;
function addToAlbum($link) {
self.album.push({
alt: $link.attr('data-alt'),
link: $link.attr('href'),
title: $link.attr('data-title') || $link.attr('title')
});
}
var dataLightboxValue = $link.attr('data-lightbox');
var $links;
if (dataLightboxValue) {
$links = $($link.prop('tagName') + '[data-lightbox="' + dataLightboxValue + '"]');
for (var i = 0; i < $links.length; i = ++i) {
addToAlbum($($links[i]));
if ($links[i] === $link[0]) {
imageNumber = i;
}
}
} else {
if ($link.attr('rel') === 'lightbox') {
addToAlbum($link);
} else {
$links = $($link.prop('tagName') + '[rel="' + $link.attr('rel') + '"]');
for (var j = 0; j < $links.length; j = ++j) {
addToAlbum($($links[j]));
if ($links[j] === $link[0]) {
imageNumber = j;
}
}
}
}
var top = $window.scrollTop() + this.options.positionFromTop;
var left = $window.scrollLeft();
this.$lightbox.css({
top: top + 'px',
left: left + 'px'
}).fadeIn(this.options.fadeDuration);
if (this.options.disableScrolling) {
$('html').addClass('lb-disable-scrolling');
}
this.changeImage(imageNumber);
};
Lightbox.prototype.changeImage = function (imageNumber) {
var self = this;
this.disableKeyboardNav();
var $image = this.$lightbox.find('.lb-image');
this.$overlay.fadeIn(this.options.fadeDuration);
$('.lb-loader').fadeIn('slow');
this.$lightbox.find('.lb-image, .lb-nav, .lb-prev, .lb-next, .lb-numbers').hide();
this.$outerContainer.addClass('animating');
var preloader = new Image();
preloader.onload = function () {
var $preloader;
var imageHeight;
var imageWidth;
var maxImageHeight;
var maxImageWidth;
var windowHeight;
var windowWidth;
$image.attr({
'alt': self.album[imageNumber].alt,
'src': self.album[imageNumber].link
});
$preloader = $(preloader);
$image.width(preloader.width);
$image.height(preloader.height);
if (self.options.fitImagesInViewport) {
windowWidth = $(window).width();
windowHeight = $(window).height();
maxImageWidth = windowWidth - self.containerPadding.left - self.containerPadding.right - self.imageBorderWidth.left - self.imageBorderWidth.right - 20;
maxImageHeight = windowHeight - self.containerPadding.top - self.containerPadding.bottom - self.imageBorderWidth.top - self.imageBorderWidth.bottom - 120;
if (self.options.maxWidth && self.options.maxWidth < maxImageWidth) {
maxImageWidth = self.options.maxWidth;
}
if (self.options.maxHeight && self.options.maxHeight < maxImageWidth) {
maxImageHeight = self.options.maxHeight;
}
if ((preloader.width > maxImageWidth) || (preloader.height > maxImageHeight)) {
if ((preloader.width / maxImageWidth) > (preloader.height / maxImageHeight)) {
imageWidth = maxImageWidth;
imageHeight = parseInt(preloader.height / (preloader.width / imageWidth), 10);
$image.width(imageWidth);
$image.height(imageHeight);
} else {
imageHeight = maxImageHeight;
imageWidth = parseInt(preloader.width / (preloader.height / imageHeight), 10);
$image.width(imageWidth);
$image.height(imageHeight);
}
}
}
self.sizeContainer($image.width(), $image.height());
};
preloader.src = this.album[imageNumber].link;
this.currentImageIndex = imageNumber;
};
Lightbox.prototype.sizeOverlay = function () {
this.$overlay.width($(document).width()).height($(document).height());
};
Lightbox.prototype.sizeContainer = function (imageWidth, imageHeight) {
var self = this;
var oldWidth = this.$outerContainer.outerWidth();
var oldHeight = this.$outerContainer.outerHeight();
var newWidth = imageWidth + this.containerPadding.left + this.containerPadding.right + this.imageBorderWidth.left + this.imageBorderWidth.right;
var newHeight = imageHeight + this.containerPadding.top + this.containerPadding.bottom + this.imageBorderWidth.top + this.imageBorderWidth.bottom;
function postResize() {
self.$lightbox.find('.lb-dataContainer').width(newWidth);
self.$lightbox.find('.lb-prevLink').height(newHeight);
self.$lightbox.find('.lb-nextLink').height(newHeight);
self.showImage();
}
if (oldWidth !== newWidth || oldHeight !== newHeight) {
this.$outerContainer.animate({
width: newWidth,
height: newHeight
}, this.options.resizeDuration, 'swing', function () {
postResize();
});
} else {
postResize();
}
};
Lightbox.prototype.showImage = function () {
this.$lightbox.find('.lb-loader').stop(true).hide();
this.$lightbox.find('.lb-image').delay(250).fadeIn(150);
this.updateNav();
this.updateDetails();
this.preloadNeighboringImages();
this.enableKeyboardNav();
};
Lightbox.prototype.updateNav = function () {
var alwaysShowNav = true;
try {
document.createEvent('TouchEvent');
alwaysShowNav = (this.options.alwaysShowNavOnTouchDevices) ? true : false;
} catch (e) {
}
this.$lightbox.find('.lb-nav').show();
if (this.album.length > 1) {
if (this.options.wrapAround) {
if (alwaysShowNav) {
this.$lightbox.find('.lb-prev, .lb-next').css('opacity', '1');
}
this.$lightbox.find('.lb-prev, .lb-next').show();
} else {
if (this.currentImageIndex > 0) {
this.$lightbox.find('.lb-prev').show();
if (alwaysShowNav) {
this.$lightbox.find('.lb-prev').css('opacity', '1');
}
}
if (this.currentImageIndex < this.album.length - 1) {
this.$lightbox.find('.lb-next').show();
if (alwaysShowNav) {
this.$lightbox.find('.lb-next').css('opacity', '1');
}
}
}
}
};
Lightbox.prototype.updateDetails = function () {
var self = this;
if (typeof this.album[this.currentImageIndex].title !== 'undefined' && this.album[this.currentImageIndex].title !== '') {
var $caption = this.$lightbox.find('.lb-caption');
if (this.options.sanitizeTitle) {
$caption.text(this.album[this.currentImageIndex].title);
} else {
$caption.html(this.album[this.currentImageIndex].title);
}
$caption.fadeIn('fast').find('a').on('click', function (event) {
if ($(this).attr('target') !== undefined) {
window.open($(this).attr('href'), $(this).attr('target'));
} else {
location.href = $(this).attr('href');
}
});
}
if (this.album.length > 1 && this.options.showImageNumberLabel) {
var labelText = this.imageCountLabel(this.currentImageIndex + 1, this.album.length);
this.$lightbox.find('.lb-number').text(labelText).fadeIn('fast');
} else {
this.$lightbox.find('.lb-number').hide();
}
this.$outerContainer.removeClass('animating');
};
Lightbox.prototype.preloadNeighboringImages = function () {
if (this.album.length > this.currentImageIndex + 1) {
var preloadNext = new Image();
preloadNext.src = this.album[this.currentImageIndex + 1].link;
}
if (this.currentImageIndex > 0) {
var preloadPrev = new Image();
preloadPrev.src = this.album[this.currentImageIndex - 1].link;
}
};
Lightbox.prototype.enableKeyboardNav = function () {
$(document).on('keyup.keyboard', $.proxy(this.keyboardAction, this));
};
Lightbox.prototype.disableKeyboardNav = function () {
$(document).off('.keyboard');
};
Lightbox.prototype.keyboardAction = function (event) {
var KEYCODE_ESC = 27;
var KEYCODE_LEFTARROW = 37;
var KEYCODE_RIGHTARROW = 39;
var keycode = event.keyCode;
var key = String.fromCharCode(keycode).toLowerCase();
if (keycode === KEYCODE_ESC || key.match(/x|o|c/)) {
this.end();
} else if (key === 'p' || keycode === KEYCODE_LEFTARROW) {
if (this.currentImageIndex !== 0) {
this.changeImage(this.currentImageIndex - 1);
} else if (this.options.wrapAround && this.album.length > 1) {
this.changeImage(this.album.length - 1);
}
} else if (key === 'n' || keycode === KEYCODE_RIGHTARROW) {
if (this.currentImageIndex !== this.album.length - 1) {
this.changeImage(this.currentImageIndex + 1);
} else if (this.options.wrapAround && this.album.length > 1) {
this.changeImage(0);
}
}
};
Lightbox.prototype.end = function () {
this.disableKeyboardNav();
$(window).off('resize', this.sizeOverlay);
this.$lightbox.fadeOut(this.options.fadeDuration);
this.$overlay.delay(250).fadeOut(this.options.fadeDuration);
$('select, object, embed').css({
visibility: 'visible'
});
if (this.options.disableScrolling) {
$('html').removeClass('lb-disable-scrolling');
}
};
return new Lightbox();
}));
}(jQuery));